#
# spec file for package vim
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define pkg_version 7.4
%define official_ptchlvl 326
%define VIM_SUBDIR vim74
%define site_runtimepath /usr/share/vim/site
%define make make VIMRCLOC=/etc VIMRUNTIMEDIR=/usr/share/vim/current MAKE="make -e" %{?_smp_mflags}

Name:           vim
Version:        7.4.%{official_ptchlvl}
Release:        12.1
BuildRequires:  db-devel
%if 0%{?suse_version} > 1020
BuildRequires:  fdupes
%endif
BuildRequires:  autoconf
BuildRequires:  gettext-devel
BuildRequires:  gtk2-devel
%if 0%{?suse_version} > 1200
BuildRequires:  pkgconfig(xt)
%endif
BuildRequires:  krb5-mini
BuildRequires:  libacl-devel
BuildRequires:  lua-devel
BuildRequires:  ncurses-devel
BuildRequires:  perl
BuildRequires:  pkgconfig
BuildRequires:  python-devel
BuildRequires:  python3-devel
BuildRequires:  ruby-devel
BuildRequires:  update-desktop-files
#
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} > 1130
BuildRequires:  gpm-devel
%else
BuildRequires:  gpm
%endif
#
PreReq:         fileutils
PreReq:         sh-utils
#
Provides:       vi
Provides:       vim-base = %{version}-%{release}
Provides:       vim-enhanced = %{version}-%{release}
Provides:       vim-python = %{version}-%{release}
Obsoletes:      vim-base < %{version}-%{release}
Obsoletes:      vim-enhanced < %{version}-%{release}
Obsoletes:      vim-python < %{version}-%{release}
Provides:       vim_client
#
%if 0%{?suse_version} >= 1010
Recommends:     vim-data = %{version}-%{release}
%endif
Summary:        Vi IMproved
#
License:        Vim
Group:          Productivity/Editors/Vi
Url:            http://www.vim.org/
Source:         ftp://ftp.vim.org/pub/vim/unix/vim-%{pkg_version}.tar.bz2
Source3:        suse.vimrc
Source4:        vimrc_example1
Source5:        vimrc_example2
Source8:        suse.gvimrc
Source10:       README.Japanese-XIM
Source13:       vitmp.c
Source14:       vitmp.1
Source15:       vim132
Source18:       missing-vim-client
Source19:       gvim.desktop
Source20:       spec.skeleton
Source23:       apparmor.vim
Source98:       %{name}-7.4-patches.tar.bz2
Source99:       %{name}-7.4-rpmlintrc
Patch3:         %{name}-7.4-disable_lang_no.patch
Patch4:         %{name}-7.3-gvimrc_fontset.patch
Patch5:         %{name}-7.4-highlight_fstab.patch
Patch6:         %{name}-7.3-sh_is_bash.patch
Patch7:         %{name}-7.3-filetype_ftl.patch
Patch8:         %{name}-7.3-help_tags.patch
Patch9:         %{name}-7.3-use_awk.patch
Patch10:        %{name}-7.3-name_vimrc.patch
Patch11:        %{name}-7.3-mktemp_tutor.patch
Patch15:        %{name}-7.4-filetype_apparmor.patch
Patch18:        %{name}-7.3-filetype_spec.patch
Patch19:        %{name}-7.3-diff_check.patch
Patch21:        %{name}-7.3-filetype_changes.patch
Patch22:        %{name}-7.4-filetype_mine.patch
Patch23:        %{name}-python35.patch
Patch24:        CVE-2016-1248.patch
Patch25:        vim-speedup-yaml.patch
Patch26:        CVE-2017-5953.patch
Patch27:        CVE-2017-6350.patch
Patch28:        CVE-2017-6349.patch
Patch100:       vim-7.1.314-CVE-2009-0316-debian.patch
Patch101:       vim73-no-static-libpython.patch
%{perl_requires}
%{?libperl_requires}

%description
Vim (Vi IMproved) is an almost compatible version of the UNIX editor
vi. Almost every possible command can be performed using only ASCII
characters. Only the 'Q' command is missing (you do not need it). Many
new features have been added: multilevel undo, command line history,
file name completion, block operations, and editing of binary data.

Vi is available for the AMIGA, MS-DOS, Windows NT, and various versions
of UNIX.

For SUSE Linux, Vim is used as /usr/bin/vi.

%package data
Summary:        Vi IMproved
Group:          Productivity/Editors/Vi
%if 0%{?suse_version} >= 1120
BuildArch:      noarch
%endif
# Used to be in vim-plugins package
Obsoletes:      vim-plugin-matchit <= 1.13.2
Provides:       vim-plugin-matchit = 1.13.2

%description data
Vim (Vi IMproved) is an almost compatible version of the UNIX editor
vi. Almost every possible command can be performed using only ASCII
characters. Only the 'Q' command is missing (you do not need it). Many
new features have been added: multilevel undo, command line history,
file name completion, block operations, and editing of binary data.

Vi is available for the AMIGA, MS-DOS, Windows NT, and various versions
of UNIX.

For SUSE Linux, Vim is used as /usr/bin/vi.

Package vim-data contains the runtime files.

%package -n gvim
Summary:        A GUI for Vi
Group:          Productivity/Editors/Vi
Requires:       gvim_client
Requires:       vim-data
Provides:       gvim-base = %{version}-%{release}
Provides:       gvim-enhanced = %{version}-%{release}
Obsoletes:      gvim-base < %{version}-%{release}
Obsoletes:      gvim-enhanced < %{version}-%{release}
Provides:       gvim_client
Provides:       vi
Provides:       vim_client
%{perl_requires}
%{?libperl_requires}

%description -n gvim
Copy and modify /usr/share/vim/current/gvimrc to ~/.gvimrc if needed.

Package gvim contains the largest set of features of vim, which is
graphical windows and language interpreter, like python, ruby, or perl.
You need package vim for the help and other documentation too. If you
want less features, you might want to install vim instead.

%prep
%setup -q -n %{VIM_SUBDIR} -b 98
for p in ../vim-%{pkg_version}-patches/%{pkg_version}*; do
    test -e $p || break
    test ${p#*/%{pkg_version}.} -le %{official_ptchlvl} || exit 1
    echo Patch $p
    patch -s -p0 < $p
done
unset p
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1
cp %{SOURCE23} runtime/syntax/apparmor.vim
%patch15 -p1
%patch18 -p1
%patch19 -p1
%patch21 -p1
%patch22 -p1
%patch23 -p1
%patch24 -p1
%patch25 -p1
%patch26 -p1
%patch27 -p1
%patch28 -p1
%patch100 -p1
%patch101
cp %{SOURCE3} %{SOURCE4} %{SOURCE5} %{SOURCE8} %{SOURCE10} .

# newer perl? ugly hack to fix build anyway.
%if 0%{?suse_version} > 1210
sed -i -e 's/^XS(XS_/XS_INTERNAL(XS_/' src/if_perl.xs
%endif

%build
export CFLAGS="%{optflags} -Wall -pipe -fno-strict-aliasing"
export CFLAGS=${CFLAGS/-D_FORTIFY_SOURCE=2/-D_FORTIFY_SOURCE=1}

export COMMON_OPTIONS="\
    --with-vim-name=vim \
    --with-ex-name=ex \
    --with-view-name=view \
    --enable-cscope \
    --enable-multibyte \
    --enable-sniff \
    --with-features=huge \
    --with-compiledby='http://www.opensuse.org/' \
%if 0%{?suse_version} > 1210
    --with-tlib=tinfo \
%else
    --with-tlib=ncurses \
%endif
    --with-global-runtime=%{site_runtimepath} \
    --enable-luainterp=dynamic \
    --enable-perlinterp=yes \
    --enable-pythoninterp=dynamic \
    --enable-python3interp=dynamic \
    --enable-rubyinterp=dynamic"

export GUI_OPTIONS="\
    --enable-xim \
    --enable-fontset \
    --enable-gui=gtk2"

pushd src
autoconf
popd

# build vim
%configure ${COMMON_OPTIONS} --disable-gui --disable-gpm --with-x=no
sed -i -e 's|define HAVE_DATE_TIME 1|undef HAVE_DATE_TIME|' src/auto/config.h
%make
cp src/vim vim

# build gvim
make distclean
%configure ${COMMON_OPTIONS} ${GUI_OPTIONS}
sed -i -e 's|define HAVE_DATE_TIME 1|undef HAVE_DATE_TIME|' src/auto/config.h
%make

#
# build vitmp
gcc %{optflags} %{SOURCE13} -o vitmp

%install
# create icon directory to have the icon from the tarball installed
install -d -m 0755 %{buildroot}%{_datadir}/icons/hicolor/48x48/apps
%makeinstall STRIP=:

# the last installed binary is gvim. preserve it and
# fix its symlinks. e* was added here as it doesnt make much sense in
# console
mv %{buildroot}%{_bindir}/vim %{buildroot}%{_bindir}/gvim
for f in egvim egview eview evim gex gvi gview gvimdiff rgview rgvim ; do
    ln -s -vf gvim %{buildroot}%{_bindir}/$f
done

# install vim
install -D -m 0755 vim %{buildroot}/bin/vim

# compat symlinks
ln -s -f /bin/vim   %{buildroot}/bin/vi
ln -s -f /bin/vim   %{buildroot}%{_bindir}/vim
ln -s -f /bin/vim   %{buildroot}%{_bindir}/vi
ln -s -f vim        %{buildroot}%{_bindir}/edit
ln -s -f /bin/vim   %{buildroot}/bin/ex

# man pages
ln -s -f vim.1.gz %{buildroot}%{_mandir}/man1/vi.1.gz
ln -s -f vim.1.gz %{buildroot}%{_mandir}/man1/ex.1.gz

# vitmp
install -m 0755 vitmp       %{buildroot}%{_bindir}/vitmp
install -m 0644 %{SOURCE14} %{buildroot}%{_mandir}/man1/vitmp.1
install -m 0755 %{SOURCE15} %{buildroot}%{_datadir}/vim/%{VIM_SUBDIR}/tools/vim132

# make the vim settings more generic
ln -s -f %{VIM_SUBDIR} %{buildroot}%{_datadir}/vim/current

# additional files
install -D -m 0644 %{SOURCE3} %{buildroot}%{_sysconfdir}/vimrc
install -D -m 0644 %{SOURCE8} %{buildroot}%{_sysconfdir}/gvimrc

# create site wide runtime directory
mkdir -p -m 0755 %{buildroot}%{site_runtimepath}/after
mkdir -m 0755 %{buildroot}%{site_runtimepath}/autoload
mkdir -m 0755 %{buildroot}%{site_runtimepath}/colors
mkdir -m 0755 %{buildroot}%{site_runtimepath}/doc
mkdir -m 0755 %{buildroot}%{site_runtimepath}/plugin
mkdir -m 0755 %{buildroot}%{site_runtimepath}/syntax
mkdir -m 0755 %{buildroot}%{site_runtimepath}/ftdetect
mkdir -m 0755 %{buildroot}%{site_runtimepath}/after/syntax
mkdir -m 0755 %{buildroot}%{_datadir}/vim/current/skeletons
mkdir -m 0755 %{buildroot}%{_sysconfdir}/skel

# install spec helper
install -m 0644 %{SOURCE20}  %{buildroot}%{_datadir}/vim/current/skeletons/skeleton.spec

# desktop file for gvim
install -D -m 0644 %{SOURCE19} %{buildroot}%{_datadir}/applications/gvim.desktop
%suse_update_desktop_file gvim Utility TextEditor

#
# documentation
install -d -m 0755 %{buildroot}%{_docdir}/{,g}vim/
cp runtime/doc/uganda.txt LICENSE
install -D -m 0644 \
    vimrc_example1 vimrc_example2 suse.vimrc \
    LICENSE README.txt README_src.txt README_unix.txt \
  %{buildroot}%{_docdir}/vim/
# gvim
install -D -m 0644 \
    README.Japanese-XIM runtime/gvimrc_example.vim suse.gvimrc \
  %{buildroot}%{_docdir}/gvim/
#
# stupid helper
install -m 0755 %{SOURCE18} %{buildroot}%{_datadir}/vim/current/tools/missing-vim-client
# remove unecessary duplicate manpages
rm -rf %{buildroot}%{_mandir}/fr.ISO8859-1/
rm -rf %{buildroot}%{_mandir}/fr.UTF-8/
rm -rf %{buildroot}%{_mandir}/pl.ISO8859-2/
rm -rf %{buildroot}%{_mandir}/pl.UTF-8/
rm -rf %{buildroot}%{_mandir}/ru.KOI8-R/
rm -rf %{buildroot}%{_mandir}/it.ISO8859-1/
rm -rf %{buildroot}%{_mandir}/it.UTF-8/

# and move russian manpages to a place where they can be found
mv %{buildroot}%{_mandir}/ru.UTF-8 %{buildroot}%{_mandir}/ru

# remove some c source files
rm -f %{buildroot}%{_datadir}/vim/%{VIM_SUBDIR}/tools/*.c
rm -f %{buildroot}%{_datadir}/vim/%{VIM_SUBDIR}/macros/maze/*.c
#
# Create ghost files (see vim.conf)
mkdir -p %{buildroot}/var/run/vi.recover

%if 0%{?suse_version} > 1020
%fdupes -s %{buildroot}%{_datadir}/vim/%{VIM_SUBDIR}/lang
%fdupes -s %{buildroot}%{_datadir}/vim/%{VIM_SUBDIR}/tutor
%fdupes -s %{buildroot}%{_datadir}/vim/%{VIM_SUBDIR}/ftplugin
%endif

%check
# Reset the terminal scrolling region left behind by the testsuite
trap "printf '\e[r'" EXIT
# Look for "TEST FAILURE" in the build log
make test

%files
%defattr(-,root,root,-)
%config(noreplace) %{_sysconfdir}/vimrc
# symlinks
/bin/vi
/bin/vim
/bin/ex
%{_bindir}/edit
%{_bindir}/ex
%{_bindir}/rview
%{_bindir}/rvim
%{_bindir}/vi
%{_bindir}/vim
%{_bindir}/view
%{_bindir}/vimdiff
# additional binaries
%{_bindir}/vitmp
%{_bindir}/vimtutor
%{_bindir}/gvimtutor
%{_bindir}/xxd
# man pages
%{_mandir}/man1/*
%dir %{_mandir}/fr
%dir %{_mandir}/fr/man1/
%{_mandir}/fr/man1/*
%dir %{_mandir}/it
%dir %{_mandir}/it/man1/
%{_mandir}/it/man1/*
%dir %{_mandir}/ru
%dir %{_mandir}/ru/man1/
%{_mandir}/ru/man1/*
%dir %{_mandir}/pl
%dir %{_mandir}/pl/man1/
%{_mandir}/pl/man1/*
%dir %{_mandir}/ja
%dir %{_mandir}/ja/man1/
%{_mandir}/ja/man1/*
# docs and data file
%doc %{_docdir}/vim
#
%{_datadir}/vim/current
%dir %{_datadir}/vim/
%dir %{_datadir}/vim/%{VIM_SUBDIR}/
%dir %{_datadir}/vim/%{VIM_SUBDIR}/autoload/
%dir %{_datadir}/vim/%{VIM_SUBDIR}/colors/
%dir %{_datadir}/vim/%{VIM_SUBDIR}/compiler/
%dir %{_datadir}/vim/%{VIM_SUBDIR}/doc/
%dir %{_datadir}/vim/%{VIM_SUBDIR}/ftplugin/
%dir %{_datadir}/vim/%{VIM_SUBDIR}/indent/
%dir %{_datadir}/vim/%{VIM_SUBDIR}/keymap/
%dir %{_datadir}/vim/%{VIM_SUBDIR}/lang/
%dir %{_datadir}/vim/%{VIM_SUBDIR}/macros/
%dir %{_datadir}/vim/%{VIM_SUBDIR}/plugin/
%dir %{_datadir}/vim/%{VIM_SUBDIR}/print/
%dir %{_datadir}/vim/%{VIM_SUBDIR}/spell/
%dir %{_datadir}/vim/%{VIM_SUBDIR}/syntax/
%dir %{_datadir}/vim/%{VIM_SUBDIR}/tools/
%dir %{_datadir}/vim/%{VIM_SUBDIR}/tutor/
%dir %{_datadir}/vim/%{VIM_SUBDIR}/skeletons/
%dir %{site_runtimepath}
%dir %{site_runtimepath}/autoload/
%dir %{site_runtimepath}/colors/
%dir %{site_runtimepath}/doc/
%dir %{site_runtimepath}/plugin/
%dir %{site_runtimepath}/syntax/
%dir %{site_runtimepath}/ftdetect/
%dir %{site_runtimepath}/after/
%dir %{site_runtimepath}/after/syntax/
#
%{_datadir}/vim/%{VIM_SUBDIR}/bugreport.vim
%{_datadir}/vim/%{VIM_SUBDIR}/evim.vim
%{_datadir}/vim/%{VIM_SUBDIR}/filetype.vim
%{_datadir}/vim/%{VIM_SUBDIR}/ftoff.vim
%{_datadir}/vim/%{VIM_SUBDIR}/ftplugin.vim
%{_datadir}/vim/%{VIM_SUBDIR}/ftplugof.vim
%{_datadir}/vim/%{VIM_SUBDIR}/indent.vim
%{_datadir}/vim/%{VIM_SUBDIR}/indoff.vim
%{_datadir}/vim/%{VIM_SUBDIR}/optwin.vim
%{_datadir}/vim/%{VIM_SUBDIR}/scripts.vim
%{_datadir}/vim/%{VIM_SUBDIR}/syntax/syntax.vim
%{_datadir}/vim/%{VIM_SUBDIR}/skeletons/skeleton.spec
# stupid helper
# THIS BREAKS THE BUILD: %{_datadir}/vim/current/tools/missing-vim-client
%{_datadir}/vim/%{VIM_SUBDIR}/tools/missing-vim-client

%files data
%defattr(-,root,root,-)
# data files
%{_datadir}/vim/%{VIM_SUBDIR}/autoload/*
%{_datadir}/vim/%{VIM_SUBDIR}/colors/*
%{_datadir}/vim/%{VIM_SUBDIR}/compiler/*
%{_datadir}/vim/%{VIM_SUBDIR}/doc/*
%{_datadir}/vim/%{VIM_SUBDIR}/ftplugin/*
%{_datadir}/vim/%{VIM_SUBDIR}/indent/*
%{_datadir}/vim/%{VIM_SUBDIR}/keymap/*
%{_datadir}/vim/%{VIM_SUBDIR}/lang/*
%{_datadir}/vim/%{VIM_SUBDIR}/macros/*
%{_datadir}/vim/%{VIM_SUBDIR}/plugin/*
%{_datadir}/vim/%{VIM_SUBDIR}/print/*
%{_datadir}/vim/%{VIM_SUBDIR}/spell/*
%{_datadir}/vim/%{VIM_SUBDIR}/syntax/*
%exclude %{_datadir}/vim/%{VIM_SUBDIR}/syntax/syntax.vim
#%{_datadir}/vim/%{VIM_SUBDIR}/tools/blink.c
%{_datadir}/vim/%{VIM_SUBDIR}/tools/ccfilter.1
#%{_datadir}/vim/%{VIM_SUBDIR}/tools/ccfilter.c
%{_datadir}/vim/%{VIM_SUBDIR}/tools/ccfilter_README.txt
%{_datadir}/vim/%{VIM_SUBDIR}/tools/efm_filter.pl
%{_datadir}/vim/%{VIM_SUBDIR}/tools/efm_filter.txt
%{_datadir}/vim/%{VIM_SUBDIR}/tools/efm_perl.pl
%{_datadir}/vim/%{VIM_SUBDIR}/tools/mve.awk
%{_datadir}/vim/%{VIM_SUBDIR}/tools/mve.txt
%{_datadir}/vim/%{VIM_SUBDIR}/tools/pltags.pl
%{_datadir}/vim/%{VIM_SUBDIR}/tools/README.txt
%{_datadir}/vim/%{VIM_SUBDIR}/tools/ref
%{_datadir}/vim/%{VIM_SUBDIR}/tools/shtags.1
%{_datadir}/vim/%{VIM_SUBDIR}/tools/shtags.pl
%{_datadir}/vim/%{VIM_SUBDIR}/tools/unicode.vim
%{_datadir}/vim/%{VIM_SUBDIR}/tools/vim132
%{_datadir}/vim/%{VIM_SUBDIR}/tools/vimm
%{_datadir}/vim/%{VIM_SUBDIR}/tools/vimspell.sh
%{_datadir}/vim/%{VIM_SUBDIR}/tools/vimspell.txt
%{_datadir}/vim/%{VIM_SUBDIR}/tools/vim_vs_net.cmd
#%{_datadir}/vim/%{VIM_SUBDIR}/tools/xcmdsrv_client.c
%{_datadir}/vim/%{VIM_SUBDIR}/tutor/*
%{_datadir}/vim/%{VIM_SUBDIR}/delmenu.vim
%{_datadir}/vim/%{VIM_SUBDIR}/gvimrc_example.vim
%{_datadir}/vim/%{VIM_SUBDIR}/menu.vim
%{_datadir}/vim/%{VIM_SUBDIR}/mswin.vim
%{_datadir}/vim/%{VIM_SUBDIR}/synmenu.vim
%{_datadir}/vim/%{VIM_SUBDIR}/vimrc_example.vim

%files -n gvim
%defattr(-,root,root,-)
%ghost %config(missingok) %{_sysconfdir}/gvimrc
%{_bindir}/egview
%{_bindir}/egvim
%{_bindir}/eview
%{_bindir}/evim
%{_bindir}/gex
%{_bindir}/gvi
%{_bindir}/gview
%{_bindir}/gvim
%{_bindir}/gvimdiff
%{_bindir}/rgview
%{_bindir}/rgvim
# menu icon
%{_datadir}/applications/gvim.desktop
%{_datadir}/icons/hicolor/48x48/apps/gvim.png
%doc %{_docdir}/gvim

%changelog
* Fri Jun 23 2017 idonmez@suse.com
- Add CVE-2017-6349.patch to fix a possible overflow bsc#1027057
* Wed Jun 21 2017 idonmez@suse.com
- Add CVE-2017-6350.patch to fix a possible overflow bsc#1027053
* Fri Feb 10 2017 idonmez@suse.com
- Add CVE-2017-5953.patch to fix possible overflow with corrupted
  spell file CVE-2017-5953 bsc#1024724
* Tue Jan 24 2017 idonmez@suse.com
- Add vim-speedup-yaml.patch to speed up YAML syntax higlighting
  bsc#1018870
* Wed Nov 23 2016 idonmez@suse.com
- Add CVE-2016-1248.patch to fix a arbitrary command execution
  vulnerability (bsc#1010685 CVE-2016-1248)
* Thu Jul 14 2016 idonmez@suse.com
- Add vim-python35.patch to fix build with Python 3.5 boo#988903
* Fri Aug 29 2014 fcrozat@suse.com
- Update license tag to use SPDX 1.2.
* Wed Jul  9 2014 kukuk@suse.de
- Don't link non-gui version against X11, we don't need it [bnc#886237]
* Mon Jun 16 2014 idonmez@suse.com
- Updated to revision 326, fixes the following problems
  * When using ":diffsplit" on an empty file the cursor is displayed
    on the command line.
  * When increasing the size of the lower window, the upper window
    jumps back to the top. (Ron Aaron)
  * getpos()/setpos() don't include curswant.
  * Can't use winrestview to only restore part of the view.
  * Cannot figure out what argument list is being used for a window.
  * Changing the return value of getpos() causes an error. (Jie Zhu)
  * Completion messages can get in the way of a plugin.
  * Fixes for computation of topline not tested.
  * Warning from 64-bit compiler.
  * Crash when starting gvim.  Issue 230.
  * Check for whether a highlight group has settings ignores fg and bg
    color settings.
  * Crash when putting zero bytes on the clipboard.
  * Possible crash when an BufLeave autocommand deletes the buffer.
  * Using "msgfmt" is hard coded, cannot use "gmsgfmt".
  * Substitute() with zero width pattern breaks multi-byte character.
  * In Ex mode, cyrillic characters are not handled. (Stas Malavin)
  * When starting the gui and changing the window size the status line
    may not be drawn correctly.
  * Can't build Tiny version. (Elimar Riesebieter)
* Mon May 26 2014 idonmez@suse.com
- Updated to revision 307, fixes the following problems
  * Setting 'langmap' in the modeline can cause trouble.  E.g. mapping
    ":" breaks many commands. (Jens-Wolfhard Schicke-Uffmann)
  * When 'relativenumber' is set and deleting lines or undoing that,
    line numbers are not always updated. (Robert Arkwright)
  * Error messages are inconsistant. (ZyX)
  * When 'spellfile' is set the screen is not redrawn.
  * Pattern with repeated backreference does not match with new regexp
    engine. (Urtica Dioica)
  * A non-greedy match followed by a branch is too greedy. (Ingo
    Karkat)
  * Searching for "a" does not match accented "a" with new regexp
    engine, does match with old engine. (David Bürgin)
    "ca" does not match "ca" with accented "a" with either engine.
  * It is not possible to ignore composing characters at a specific
    point in a pattern.
  * Memory leak from result of get_isolated_shell_name().
  * Can't have a funcref start with "t:".
  * When running configure twice DYNAMIC_PYTHON_DLL may become empty.
  * Still a scrolling problem when loading a session file.
  * Signs placed with 'foldcolumn' set don't show up after filler
    lines.
  * When using double-width characters the text displayed on the
    command line is sometimes truncated.
  * Cannot always use Python with Vim.
  * Making 'ttymouse' empty after the xterm version was requested
    causes problems. (Elijah Griffin)
  * getchar(0) does not return Esc.
  * Can't build without the +termresponse feature.
* Tue May 13 2014 sleep_walker@suse.cz
- minor tweaks of spec.skeleton
* Mon May 12 2014 idonmez@suse.com
- Updated to revision 283, fixes the following problems
  * Smack support detection is incomplete.
  * Configure check for smack doesn't work with all shells. (David
    Larson)
  * Using systemlist() may cause a crash and does not handle NUL
    characters properly.
  * Compiler warning, possibly for mismatch in parameter name.
  * Configure fails if $CC contains options.
  * Warning for misplaced "const".
  * It is possible to define a function with a colon in the name.  It
    is possible to define a function with a lower case character if a
    "#" appears after the name.
  * When updating the window involves a regexp pattern, an interactive
    substitute to replace a "\n" with a line break fails. (Ingo
    Karkat)
  * Duplicate code in regexec().
  * GCC 4.8 compiler warning for hiding a declaration (Francois Gannaz)
  * Can't define a function starting with "g:".  Can't assign a
    funcref to a buffer-local variable.
  * Can't call a global function with "g:" in an expression.
  * Test 62 fails.
  * The '[ mark is in the wrong position after "gq". (Ingo Karkat)
  * Using exists() on a funcref for a script-local function does not
    work.
  * CTRL-U in Insert mode does not work after using a cursor key.
    (Pine Wu)
  * Comparing pointers instead of the string they point to.
  * Using just "$" does not cause an error message.
  * "make autoconf" and "make reconfig" may first run configure and
    then remove the output.
  * When doing ":update" just before running an external command that
    changes the file, the timestamp may be unchanged and the file
    is not reloaded.
  * When changing the type of a sign that hasn't been placed ther is
    no error message.
  * The fish shell is not supported.
  * Using ":sign unplace *" may leave the cursor in the wrong position
    (Christian Brabandt)
  * globpath() returns a string, making it difficult to get a list of
    matches. (Greg Novack)
  * When using a session file the relative position of the cursor is
    not restored if there is another tab. (Nobuhiro Takasaki)
  * When a session file has more than one tabpage and 'showtabline' is
    one the positions may be slightly off.
  * Compiler warning about unused variable. (Charles Cooper)
* Mon Apr  7 2014 idonmez@suse.com
- Updated to revision 253, fixes the following problems
  * Crash for "vim -u NONE -N  -c '&&'".
  * Configure message for detecting smack are out of sequence.
  * When passing input to system() there is no way to keep NUL and
    NL characters separate.
  * Cannot distinguish between NL and NUL in output of system().
  * Some test files missing from distribution.
  * Crash when BufAdd autocommand wipes out the buffer.
  * Critical error in GTK, removing timer twice.
  * Crash when using cpp syntax file with pattern using external
    match. (Havard Garnes)
* Thu Apr  3 2014 idonmez@suse.com
- Updated to revision 244, fixes the following problems
  * ":tjump" shows "\n" as "\\n".
  * The string returned by submatch() does not distinguish between a
    NL from a line break and a NL that stands for a NUL character.
  * getreg() does not distinguish between a NL used for a line break
    and a NL used for a NUL character.
  * Cannot use setreg() to add text that includes a NUL.
  * The smack feature causes stray error messages.
* Wed Apr  2 2014 idonmez@suse.com
- Updated to revision 239, fixes the following problems
  * Compilation problems on HP_nonStop (Tandem).
  * Inconsistency: ":sp foo" does not reload "foo", unless "foo" is
    the current buffer. (Liang Li)
  * Compiler warnings. (Tony Mechelynck)
  * When src/auto/configure was updated, "make clean" would run
    configure pointlessly.
  * It's not easy to remove duplicates from a list.
  * When 'relativenumber' or 'cursorline' are set the window is
    redrawn much to often. (Patrick Hemmer, Dominique Pelle)
  * Test 105 does not work in a shadow dir. (James McCoy)
  * Quickfix doesn't resize on ":copen 20". (issue 199)
  * The Ruby directory is constructed from parts.
  * Still using an older autoconf version.
  * /usr/bin/grep on Solaris does not support -F.
  * Dynamic Ruby doesn't work on Solaris.
  * Cursurline highlighting not redrawn when scrolling. (John
    Marriott)
  * Can't build with Ruby 1.8.
  * Compiler warnings when building with Python 3.2.
  * Using ":let" for listing variables and the second one is a curly
    braces expression may fail.
  * Error when using ":options".
  * An error in ":options" is not caught by the tests.
  * ":%%s/\n//" uses a lot of memory. (Aidan Marlin)
  * Escaping special characters for using "%%" with a shell command is
    inconsistant, parenthesis are escaped but spaces are not.
  * Can't get the command that was used to start Vim.
  * It is not easy to get the full path of a command.
  * It's not that easy to check the Vim patch version.
  * When some patches was not included has("patch-7.4.123") may return
    true falsely.
  * Vim does not support the smack library.
  * ":e +" does not position cursor at end of the file.
* Mon Mar 24 2014 idonmez@suse.com
- Updated to revision 213, fixes the following problems
  * The cursor report sequence is sometimes not recognized and results
    in entering replace mode.
  * Mercurial picks up some files that are not distributed.
  * When repeating a filter command "%%" and "#" are expanded.
  * Visual block mode plus virtual edit doesn't work well with tabs.
    (Liang Li)
  * ":lu" is an abbreviation for ":lua", but it should be ":lunmap".
    (ZyX)
  * Now that the +visual feature is always enabled the #ifdefs for it
    are not useful.
  * It's not possible to open a new buffer without creating a swap
    file.
* Sun Mar 23 2014 schwab@linux-m68k.org
- Clean up after the testsuite
* Thu Mar 13 2014 idonmez@suse.com
- Updated to revision 205, fixes the following problems
  * Typos in messages.
  * Python tests fail.
  * Can't build Vim with Perl when -Dusethreads is not specified for
    building Perl, and building Vim with --enable-perlinterp=dynamic.
  * (issue 197) ]P doesn't paste over Visual selection.
  * Too many #ifdefs in the code.
  * 'lispwords' is a global option.
  * Parsing 'errorformat' is not correct.
  * A mapping where the second byte is 0x80 doesn't work.
  * ":mksession" writes command to move to second argument while it
    does not exist.  When it does exist the order might be wrong.
* Thu Mar  6 2014 idonmez@suse.com
- Now that python3 is fixed, reenable test87
* Wed Feb 26 2014 opensuse@cboltz.de
- Updated apparmor.vim (taken from AppArmor 2.8.3)
  * Fixes the attach_disconnected flag
* Tue Feb 25 2014 idonmez@suse.com
- Updated to revision 192, fixes the following problems
  * Warning for type-punned pointer. (Tony Mechelynck)
  * Older Python versions don't support %%ld.
  * When using 'pastetoggle' the status lines are not updated. (Samuel
    Ferencik, Jan Christoph Ebersbach)
  * Building with mzscheme and racket does not work. (David Chimay)
  * match() does not work properly with a {count} argument.
  * Clang gives warnings.
  * Insert in Visual mode sometimes gives incorrect results. (Dominique Pelle)
  * Delete that crosses line break splits multi-byte character.
  * SIZEOF_LONG clashes with similar defines in header files.
  * Compiler warning for unused argument.
  * Compiler warning for using %%lld for off_t.
  * Escaping a file name for shell commands can't be done without a function.
  * Memory leak when giving E853.
- Disable test87 until python 3.4 is fixed (http://bugs.python.org/issue20763)
* Thu Feb 20 2014 robin.roth@kit.edu
- enable xterm_clipboard again, restoring features present in openSuSE 12.3
* Wed Feb 12 2014 idonmez@suse.com
- Updated to revision 178, fixes the following problems
  * Some help tags don't work with ":help". (Tim Chase)
  * Redo does not set v:count and v:count1.
  * The blowfish code mentions output feedback, but the code is
    actually doing cipher feedback.
  * When using scrollbind the cursor can end up below the last line.
    (mvxxc)
  * Compiler warnings for Python interface. (Tony Mechelynck)
  * When a wide library function fails, falling back to the non-wide
    function may do the wrong thing.
  * Dictionary.update() thows an error when used without arguments.
    Python programmers don't expect that.
  * Compiler warning for unused variable. (Tony Mechelynck)
  * The J command does not update '[ and '] marks. (William Gardner)
* Fri Feb  7 2014 idonmez@suse.com
- Updated to revision 169, fixes the following problems
  * Running tests in shadow dir doesn't work.
  * By default, after closing a buffer changes can't be undone.
  * Auto-loading a function for code that won't be executed.
  * Fixes are not tested.
  * Can't compile with Ruby 2.1.0.
  * ":sleep" puts cursor in the wrong column. (Liang Li)
- Dropped vim-7.4-ruby21.patch, fixed upstream
* Tue Feb  4 2014 idonmez@suse.com
- Updated to revision 161, fixes the following problems
  * Crash in Python exception handling.
* Tue Jan 28 2014 idonmez@suse.com
- Updated to revision 160, fixes the following problems
  * TextChangedI is not triggered.
  * getregtype() does not return zero for unknown register.
  * When starting Vim with "-u NONE" v:oldfiles is NULL.
  * Get E685 error when assigning a function to an autoload variable.
    (Yukihiro Nakadaira)
  * :keeppatterns is not respected for :s.
  * Python: slices with steps are not supported.
  * Python: Cannot iterate over options.
  * Compiler warning for pointer type.
  * Still a problem with auto-loading.
  * ":keeppatterns /pat" does not keep search pattern offset.
  * Error number used twice. (Yukihiro Nakadaira)
  * Pattern containing \zs is not handled correctly by substitute().
  * Completion hangs when scanning the current buffer after doing
    keywords. (Christian Brabandt)
* Tue Jan 14 2014 idonmez@suse.com
- Use Unix line endings in vim-7.3-filetype_ftl.patch (bnc#815840)
* Mon Jan 13 2014 idonmez@suse.com
- Updated to revision 142, fixes the following problems
  * Clang warns for using NUL.
  * Spurious space in MingW Makefile.
  * Directory change messages are not recognized.
  * Crash when using :cd in autocommand. (François Ingelrest)
  * Crash when wiping out buffer triggers autocommand that wipes out
    only other buffer.
  * Problems when building with Borland: st_mode is signed short;
    can't build with Python; temp files not ignored by Mercurial;
    building with DEBUG doesn't define _DEBUG.
* Fri Jan 10 2014 kkaempf@suse.com
- Fix dynamic loading of Ruby for Ruby 2.1
  Add patch vim-7.4-ruby21.patch
* Tue Dec 17 2013 idonmez@suse.com
- Updated to revision 131, fixes the following problems
  * ":help s/\_" reports an internal error. (John Beckett)
  * Completing a tag pattern may give an error for invalid pattern.
  * Python: When vim.eval() encounters a Vim error, a try/catch in the
    Python code doesn't catch it. (Yggdroot Chen)
  * "zG" and "zW" leave temp files around on MS-Windows.
  * ColorScheme autocommand matches with the current buffer name.
  * "gUgn" cannot be repeeated. (Dimitar Dimitrov)
  * Memory leak in Python OptionsAssItem. (Ken Takata)
  * New GNU make outputs messages about changing directory in another
    format.
  * When using Zsh expanding ~abc doesn't work when the result
    contains a space.
  * When a mapping starts with a space, the typed space does not show
    up for 'showcmd'.
  * It's possible that redrawing the status lines causes
    win_redr_custom() to be called recursively.
  * Can't build with Perl 5.18 on Linux. (Lcd 47)
  * Completion doesn't work for ":py3d" and ":py3f". (Bohr Shaw)
  * Compiler warnings for "const" and incompatible types.
  * getline(-1) returns zero. (mvxxc)
  * Relative line numbers mix up windows when using folds.
  * Syncbind causes E315 errors in some situations. (Liang Li)
* Fri Nov 22 2013 idonmez@suse.com
- Updated to revision 103, fixes the following problems
  * Unexpected behavior change related to 'virtualedit'. (Ingo Karkat)
  * When using ":'<,'>del" errors may be given for the visual line numbers being out of range.
  * Append in blockwise Visual mode with "$" is wrong.
  * NFA regexp doesn't handle backreference correctly.
  * Using \1 in pattern goes one line too far. (Bohr Shaw, John Little)
  * Crash when interrupting "z=".
* Thu Nov 14 2013 idonmez@suse.com
- Updated to revision 092, fixes the following problems
  * Reading past end of the 'stl' string.
  * byteidx() does not work for composing characters.
  * set_last_cursor() may encounter w_buffer being NULL.  (Matt Mkaniaris)
  * Declaration has wrong return type for PyObject_SetAttrString().
  * Crash when using invalid key in Python dictionary.
  * When replacing a character in Visual block mode, entering a CR does not cause a repeated line break.
  * When recording, the character typed at the hit-enter prompt is recorded twice. (Urtica Dioica)
  * After inserting comment leader, CTRL-\ CTRL-O does move the cursor. (Wiktor Ruben)
  * Cannot right shift lines starting with #.
  * Passing limits around too often.
  * Crash when using Insert mode completion.
  * Setting undolevels for one buffer changes undo in another.
  * When undo'ing all changes and creating a new change the undo structure is incorrect. (Christian Brabandt)
  * Locally setting 'undolevels' is not tested.
  * "cgn" does not wrap around the end of the file. (Dimitrov Dimitrov)
  * A script cannot detect whether 'hlsearch' highlighting is actually displayed.
  * Missing documentation for v:hlsearch.
  * Wrong logic when ANALYZE is "yes".
  * Using "gf" in a changed buffer suggests adding "!", which is not possible. (Tim Chase)
  * It's hard to avoid adding a used pattern to the search history.
  * Python: interrupt not being properly discarded. (Yggdroot Chen)
  * When inserting text in Visual block mode and moving the cursor the wrong text gets repeated in other lines.
  * Skipping over an expression when not evaluating it does not work properly for dict members.
  * When spell checking is enabled Asian characters are always marked as error.
  * When editing a file in a directory mounted through sshfs Vim doesn't set the security context on a renamed file.
- Drop vim-7.4-python-decl.patch, patch upstream now.
* Mon Oct 28 2013 schwab@suse.de
- vim-7.4-python-decl.patch: Use correct return type of
  PyObject_SetAttrString
* Mon Oct 21 2013 idonmez@suse.com
- Updated to revision 052, fixes the following problems
  * Can't use Tcl 8.6.
  * When using input() in a function invoked by a mapping it doesn't
    work.
  * Recent clang version complains about -fno-strength-reduce.
  * In Ex mode, when line numbers are enabled the substitute prompt is
    wrong.
  * "gn" selects too much for the pattern "\d" when there are two
    lines with a single digit. (Ryan Carney)
  * Syntax highlighting a Yaml file causes a crash. (Blake Preston)
  * With 'fo' set to "a2" inserting a space in the first column may
    cause the cursor to jump to the previous line.
* Mon Sep 30 2013 idonmez@suse.com
- Updated to revision 045, fixes the following problems
  * NFA engine does not capture group correctly when using \@>. (ZyX)
  * Using "\ze" in a sub-pattern does not result in the end of the
    match to be set. (Axel Bender)
  * Using "zw" and "zg" when 'spell' is off give a confusing error
    message. (Gary Johnson)
  * Valgrind error on exit when a script-local variable holds a
    reference to the scope of another script.
  * Visual selection does not remain after being copied over. (Axel
    Bender)
  * When using ":setlocal" for 'spell' and 'spellang' then :spelldump
    doesn't work. (Dimitar Dimitrov)
  * substitute() does not work properly when the pattern starts with
    "\ze".
* Mon Sep 23 2013 schwab@suse.de
- Remove unused buildrequires on systemd
* Mon Sep 23 2013 idonmez@suse.com
- Updated to revision 035, fixes the following problems
  * Equivalence classes are not working for multi-byte characters.
  * An error in a pattern is reported twice.
  * The -mno-cygwin argument is no longer supported by Cygwin.
  * ":diffoff!" resets options even when 'diff' is not set. (Charles
    Cooper)
  * NFA engine does not match the NUL character. (Jonathon Merz)
  * When the terminal has only 20 lines test 92 and 93 overwrite the
    input file.
  * Using "p" in Visual block mode only changes the first line.
* Mon Sep  9 2013 idonmez@suse.com
-Updated to revision 027, fixes the following problems
  * Crash with invalid argument to mkdir().
  * Cannot find out if "acl" and "xpm" features are supported.
    multi-byte characters.
  * File name buffer too small for utf-8.
  * ":help !!" does not find the "!!" tag in the help file. (Ben
    Fritz)
  * When completing item becomes unselected. (Shougo Matsu)
  * NFA engine matches too much with \@>. (John McGowan)
  * NFA regexp: Using \ze in one branch which doesn't match may cause
    end of another branch to be wrong. (William Fugh)
  * Deadlock while exiting, because of allocating memory.
  * When root edits a file the undo file is owned by root while the
    edited file may be owned by another user, which is not allowed.
    (cac2s)
  * Reading before start of a string.
  * Clang warning for int shift overflow.
  * Another valgrind error when using CTRL-X CTRL-F at the start of
    the line. (Dominique Pelle)
* Thu Sep  5 2013 mls@suse.de
- add libperl_requires, as we link against libperl and thus
  need a specific version of perl
* Mon Aug 26 2013 idonmez@suse.com
- Updated to revision 009, fixes the following problems
  * Character classes such as [a-z] to not react to 'ignorecase'.
    Breaks man page highlighting. (Mario Grgic)
  * Pattern with two alternative look-behind matches does not match.
    (Amadeus Demarzi)
  * Memory access error in Ruby syntax highlighting. (Christopher Chow)
  * When closing a window fails ":bwipe" may hang.
  * Using "vaB" while 'virtualedit' is set selects the wrong area.
    (Dimitar Dimitrov)
  * mkdir("foo/bar/", "p") gives an error message. (David Barnett)
  * Creating a preview window on startup leaves the screen layout in a
    messed up state. (Marius Gedminas)
  * New regexp engine can't be interrupted.
  * When a file was not decrypted (yet), writing it may destroy the
    contents.
* Sat Aug 24 2013 opensuse@cboltz.de
- update apparmor.vim (taken from AppArmor 2.8.2)
  * add network vsock
* Fri Aug 16 2013 idonmez@suse.com
- Overhaul vim.spec
  * Remove (g)vim-{base, enchanced} subpackages
  * Dynamically load Python, Ruby so we can support
    all of them without different subpackages.
  * Python3 support (bnc#817774).
  * LUA support.
  * Disable TCL as it cannot be linked dynamically.
* Mon Aug 12 2013 idonmez@suse.com
- Update to version 7.4
  * A new, faster regular expression engine.
  * More than a thousand fixes and small improvements.
- Drop vim-7.3-grub.patch, applied upstream
- Refresh the following patches
  * vim-7.4-disable_lang_no.patch
  * vim-7.4-filetype_apparmor.patch
  * vim-7.4-filetype_mine.patch
  * vim-7.4-highlight_fstab.patch
* Mon Jun 17 2013 coolo@suse.com
- add explicit buildrequire on krb5-mini to avoid cycles
* Fri May 17 2013 idonmez@suse.com
- Updated to revision 962, fixes the following problems
  * No completion for :xmap and :smap. (Yukihiro Nakadaira)
  * Compiler warning for uninitialized variable. (Tony Mechelynck)
  * E381 and E380 make the user think nothing happened.
  * Init stack works differently on 64 bit systems.
  * Ruby 1.8: Missing piece for static linking on 64 bit systems.
  * More can be shared between Python 2 and 3.
  * Python: not easy to get to window number.
  * Using Py_BuildValue is inefficient sometimes.
  * Python: Can't get position of window.
  * Stuff in if_py_both.h is ordered badly.
  * Python: SEGV in Buffer functions.
  * Python: Negative indices were failing.
  * External program receives the termrespone.
  * Python: List of buffers is not very useful.
  * Sometimes get stuck in waiting for cursor position report,
    resulting in keys starting with <Esc>[ not working.
  * Python: No iterator for vim.list and vim.bufferlist.
  * Python: no easy access to tabpages.
  * Python: Stack trace printer can't handle messages.
  * Python exceptions have problems.
  * Python: It's not easy to change window/buffer/tabpage.
  * Python: string exceptions are deprecated.
  * No check if PyObject_IsTrue fails.
  * Python: Not enough tests.
  * Python vim.bindeval() causes SIGABRT.
  * Python does not have a "do" command like Perl or Lua.
  * Python: Iteration destructor not set.
  * Missing error number.
  * Compiler warning for unused variable.
  * Tests 86 and 87 fail when using another language than English.
  * Python tests are not portable.
* Mon May  6 2013 idonmez@suse.com
- Updated to revision 929, fixes the following problems
  * An empty nl.po file does not work with an old msgfmt.
  * Compiler warning for size_t to int.
  * Trying to create a fontset handle when 'guifontset' is not set.
  * No test for what 7.3.918 fixes.
  * Check for X11 header files fails on Solaris.
  * Python interface can't easily access options.
  * Typos in source files.
  * Autocommands are triggered by setwinvar() et al. Missing BufEnter
    on :tabclose. Duplicate WinEnter on :tabclose. Wrong order of
    events for :tablose and :tabnew.
  * Missing combining characters when putting text in a register.
  * Can't build with strict C compiler.
  * Compiler warning for unused variable. Not freeing unused string.
* Thu Apr 25 2013 idonmez@suse.com
- Updated to revision 918, fixes the following problems
  * The "sleep .2" for running tests does not work on Solaris.
  * Python uses IndexError when a dict key is not found.
  * Possible crash when using a list in Python.
  * Duplicate Python code.
  * Python code in #ifdef branches with only minor differences.
  * Python: Access to Vim variables is not so easy.
  * Typing a ":" command at the hit-enter dialog does not work if the
    "file changed" dialog happens next.
  * Still a crash when writing viminfo.
  * ~/.viminfo is messed up when running tests.
  * When reading a file with encoding conversion fails at the end the
    next encoding in 'fencs' is not used.
  * Using freed memory when pasting with the mouse (Issue 130).
  * When a path ends in a backslash appending a comma has the wrong
    effect.
  * Repeating an Ex command after using a Visual motion does not work.
* Tue Apr 16 2013 idonmez@suse.com
- Updated to revision 905, fixes the following problems
  * Can't build with Ruby 2.0 on a 64 bit system.
  * Test 79 fails on Windows. (Michael Soyka)
  * Merging viminfo history doesn't work well.
  * Still merging problems for viminfo history.
  * Crash when using b:, w: or t: after closing the buffer, window or
    tabpage.
  * Using wrong RUBY_VER causing Ruby build to break.
  * Valgrind error in test 91. (Issue 128)
  * Memory leaks in Lua interface.
  * Configure doesn't always find the shared library.
  * Memory leak reported by valgrind in test 91.
  * #if indents are off.
  * Not obvious that some mouse features are mutual-exclusive.
  * Outdated comment, ugly condition.
  * When deleting last buffer in other tab the tabline is not updated.
  * Crash on exit writing viminfo. (Ron Aaron)
  * Using memory freed by the garbage collector.
  * Crash when writing viminfo. (Ron Aaron)
* Sat Apr 13 2013 idonmez@suse.com
- Updated to revision 888, fixes the following problems
  * Double free for list and dict in Lua. (Shougo Matsu)
  * Can't build with multi-byte on Solaris 10.
  * No tests for Visual mode operators, what 7.3.879 fixes.
  * Filename completion with 'fileignorecase' does not work for
    multi-byte characters.
* Tue Apr  9 2013 idonmez@suse.com
- Updated to revision 884, fixes the following problems
  * Build problem with some combination of features.
  * #if indents are off.
  * Forward searching with search() is broken.
  * 'fileignorecase' is missing in options window and quickref.
  * When using an ex command in operator pending mode, using Esc to
    abort the command still executes the operator. (David Bürgin)
  * When writing viminfo, old history lines may replace lines written
    more recently by another Vim instance.
  * Python list does not work correctly.
  * CursorHold may trigger after receiving the termresponse.
  * Can't build with some combination of features.
  * Compiler warning for variable shadowing another. (John Little)
* Wed Mar 20 2013 idonmez@suse.com
- Updated to revision 874, fixes the following problems
  * Mouse position may be wrong.
  * Not serving the X selection during system() isn't nice.
  * Matchparen does not update match when using auto-indenting.
    (Marc Aldorasi)
  * When at the hit-return prompt and using "k" while no text has
    scrolled off screen, then using "j", an empty line is displayed.
  * bufwinnr() matches buffers in other tabs.
  * Compiler warnings when using MingW 4.5.3.
  * search('^$', 'c') does not use the empty match under the cursor.
  * On some systems case of file names is always ignored, on others
    never.
  * Comparing file names does not handle multi-byte characters
    properly.
* Mon Mar 18 2013 idonmez@suse.com
- Updated to revision 865, fixes the following problems
  * Compiler warnings.
  * When calling system() multi-byte clipboard contents is garbled.
  * The QuitPre autocommand event does not trigger for :qa and :wq.
  * "gv" selects the wrong area after some operators.
  * 'ambiwidth' must be set by the user.
  * When using --remote-expr try/catch does not work. (Andrey Radev)
  * ":setlocal number" clears global value of 'relativenumber'.
  * Dragging the status line can be slow.
  * Problem with 'ambiwidth' detection for ANSI terminal.
  * Can't build without the mouse feature.
  * Mouse position may be wrong.
* Fri Mar  8 2013 idonmez@suse.com
- Updated to revision 854, fixes the following problems
  * Compiler warning.
  * In the terminal the scroll wheel always scrolls the active window.
  * Ruby 2.0 has a few API changes.
  * "xxd -i" fails on an empty file.
  * Clipboard does not work on Win32 when compiled with Cygwin.
  * Empty lines in :version output when 'columns' is 320.
  * Insufficient testing for mksession.
  * Some files missing in the list of distributed files.
  * "\@<!" in regexp does not work correctly with multi-byte
    characters, especially cp932.
  * When a "cond ? one : two" expression has a subscript it is not
    parsed correctly. (Andy Wokula)
  * Compiler warning for signed/unsigned pointer.
  * Missing test file changes.
  * Enum is not indented correctly with "public" etc.
  * Enum indenting is not tested.
  * Missing proto file, listing a non-existing proto file.
  * Test 55 fails when messages are translated.
  * Can't build with Ruby 2.0 when using MinGW x64 or MSVC10.
  * ":g//" gives "Pattern not found error" with E486.  Should not use
    the error number, it's not a regular error message.
  * ":vimgrep //" matches everywhere.
  * Using an empty pattern with :sort silently continues when there is
    no previous search pattern.
  * system() breaks clipboard text. (Yukihiro Nakadaira)
  * Using "ra" in multiple lines on multi-byte characters leaves a few
    characters not replaced.
  * After using backspace in insert mode completion, CTRL-N and CTRL-P
    do not highlight the right entry. (Olivier Teuliere)
* Tue Feb 26 2013 idonmez@suse.com
- Add Categories to the gvim.desktop file, part of bnc#804930
* Thu Feb 21 2013 idonmez@suse.com
- Updated to revision 831, fixes the following problems
  * Python threads don't run in the background (issue 103).
  * "\k" in regexp does not work in other window.
  * After reloading a buffer the modelines are not processed.
  * MzScheme interface doesn't work propely.
  * ":substitute" works differently without confirmation.
  * New interactive :substutite behavior is not tested.
  * Tiny build fails. (Tony Mechelynck)
  * MzScheme does not build with tiny features.
  * Compiler warning for size_t to int conversion. (Skeept)
  * MzScheme: circular list does not work correctly.
  * The color column is not correct when entering a buffer.
  * The " mark is not adjusted when inserting lines. (Roland Eggner)
  * ":window set nu?" displays the cursor line. (Nazri Ramliy)
  * Compiler warning for tiny build. (Tony Mechelynck)
  * Python threads still do not work properly.
  * The dosinst.c program has a buffer overflow. (Thomas Gwae)
  * 'relativenumber is reset unexpectedly.
  * Useless termresponse parsing for SGR mouse.
  * When 'indentexpr' moves the cursor "curswant" not restored.
  * Can't compute a hash.
  * Test 89 fails with tiny and small features.
  * Compiling without +eval and with Python isn't working.
  * Crash when accessing freed buffer.
  * Can redefine builtin functions.  (ZyX)
  * With Python errors are not always clear.
  * List of features in :version output is hard to read.
  * Python tests fail.
  * Mappings are not aware of wildmenu mode.
  * Clumsy to handle the situation that a variable does not exist.
- Refresh vim-7.1.314-CVE-2009-0316-debian.patch
* Tue Feb 12 2013 mkoegler@auto.tuwien.ac.at
- Reenable ACL support-
* Mon Jan 28 2013 idonmez@suse.com
- Updated to revision 785, fixes the following problems
  * Jumping to a mark does not open a fold if it is in the same line.
  * Not all message translation files are installed.
  * Segfault when doing "cclose" on BufUnload in a python function.
  * ":help cpo-*" jumps to the wrong place.
  * settabvar() and setwinvar() may move the cursor.
  * 'matchpairs' does not work with multi-byte characters.
  * Vim.h indentation is inconsistent.
  * Uninitialized variable. (Yasuhiro Matsumoto)
  * Cursor is at the wrong location and below the end of the file
  * Crash when OriginalFirstThunk is zero.
  * Tiny GUI version misses console dialog feature.
  * ml_get error when searching, caused by curwin not matching curbuf.
  * When building with Gnome locale gets reset.
  * Compiler error for adding up two pointers. (Titov Anatoly)
  * Backwards search lands in wrong place when started on a multibyte
  * char2nr() and nr2char() always use 'encoding'.
  * Drawing with 'guifontwide' can be slow.
  * Crash when mark is not set. (Dominique Pelle)
  * Error when 'guifontwide' has a comma.
  * Crash with specific use of search pattern.
* Thu Jan  3 2013 opensuse@cboltz.de
- update apparmor.vim (taken from AppArmor 2.8)
  * add capability block_suspend
* Tue Jan  1 2013 idonmez@suse.com
- Updated to revision 762, fixes the following problems
  * Automatically setting 'ttymouse' doesn't work.
  * Memory leaks when using location lists.
  * Cannot properly test conceal mode.
  * Python interface doesn't build without the multi-byte feature.
  * The justify macro does not always work correctly.
  * Test 61 is flaky, it fails once in a while.
  * Test 49 script file doesn't fold properly.
  * When there is a QuitPre autocommand using ":q" twice does not work
  * Autoconf doesn't find Python 3 if it's called "python".
  * A location list can get a wrong count in :lvimgrep.
  * Issue 96: May access freed memory when a put command triggers
  * Matchit plugin does not handle space in #ifdef.
  * dv_ deletes the white space before the line.
  * In Visual mode a "-p does not work. (Marcin Szamotulski)
  * On some systems the tabline is not redrawn.
* Tue Dec 18 2012 idonmez@suse.com
- gvim should require vim-data package, bnc#793311
* Sat Dec  1 2012 idonmez@suse.com
- Updated to revision 744, fixes the following problems
  * printf() can only align to bytes, not characters.
  * Inconsistency: :set can be used in the sandbox, but :setlocal and
  * Crash when calling setloclist() in BufUnload autocmd. (Marcin
  * Error on exit when using Python 3.
  * When changing the font size, only MS-Windows limits the window
  * When re-using the current buffer the buffer-local options stay.
  * Cannot run new version of cproto, it fails on missing include
  * Proto files are outdated.
  * Ruby interface defines local functions globally.
  * Perl flags may contain "-g", which breaks "make proto".
  * Building with Ruby and Tcl on MS-Windows 64 bit does not work.
  * :aboveleft and :belowright have no effect on :copen.
  * Typos and duplicate info in README.
  * Building with Ruby fails on some systems.
  * Crash in PHP file when using syntastic.
  * Py3Init_vim() is exported uneccessarily.
  * Compiler warnings for function arguments.
  * Tests fail when including MzScheme.
  * Cannot put help files in a sub-directory.
  * File name completion in input() escapes white space.
  * Unused function argument.
  * Computing number of lines may have an integer overflow.
  * IOC tool complains about undefined behavior for int.
  * Tiny build fails.
  * Leaking memory when :vimgrep restores the directory.
  * Tiny build still fails.
  * 64 bit compiler warning.
* Fri Nov  2 2012 idonmez@suse.com
- Update to patchlevel 712, fixes the following problems
  * Can't build Ruby interface with Ruby 1.9.3.
  * End of color scheme name not clear in E185. (Aaron Lewis)
  * Buffer overflow in unescaping text. (Raymond Ko)
  * MSVC 11 is not supported.
  * Unused variables in Perl interface.
  * Building with Perl loaded dynamically  still uses static library.
  * When building with Cygwin loading Python dynamically fails.
  * Python: memory leaks when there are exceptions.
  * More Python code can be shared between Python 2 and 3.
  * Not possible to lock/unlock lists in Python interface.
  * Using "gN" while 'selection' is "exclusive" misses one character.
  * Using uninitialized memory with very long file name.
  * buf_spname() is used inconsistently.
  * Ruby .so name may not be correct.
  * Ruby detection uses Config, newer Ruby versions use RbConfig.
  * Some files missing in the list of distributed files.
  * List of distributed files picks up backup files.
  * Compiler complains about incompatible types.
  * ":python" may crash when vimbindeval() returns None.
  * "make test" does not delete lua.vim.
  * Using CTRL-\ e mappings is useful also when entering an
  * Test 16 fails when $DISPLAY is not set.
  * Python 3.3 is not supported.
  * MzScheme and Lua may use a NULL string.
  * When the current directory name is exactly the maximum path length
  * State specific to the Python thread is discarded.
  * Can't build GTK version with GTK 2.0.
  * Can't make 'softtabstop' follow 'shiftwidth'.
  * Now that 'shiftwidth' may use the value of 'tabstop' it is not so
  * Balloon cannot show multi-byte text.
  * Message about added spell language can be wrong.
  * Leaking resources when setting GUI font.
  * Python 3 does not preserve state beween commands.
  * When 'ttymouse' is set to "sgr" manually, it is overruled by
  * Cannot detect URXVT and SGR mouse support.
  * When 'undofile' is reset the hash is computed unnecessarily.
  * Repeating "cgn" does not always work correctly.
  * Mouse features are not sorted properly. (Tony Mechelynck)
  * Problems loading a library for a file name with non-latin
  * Filler lines above the first line may be hidden when opening Vim.
  * Compiler warning for unused argument.
  * vim.current.buffer is not available. (lilydjwg)
- Drop vim-7.3-ruby_ldflags_configure.patch, unneeded now
* Tue Oct  2 2012 idonmez@suse.com
- Add Obsoletes/Provides for vim-plugin-matchit package
* Wed Sep 12 2012 idonmez@suse.com
- Update to patchlevel 661, fixes the following problems
  * "gnd" doesn't work correctly in Visual mode.
  * Crash when using a very long file name. (ZyX)
  * When 'clipboard' is set to "unnamed" small deletes end up in the
  * Completion after ":help \{-" gives an error message and messes up
  * Completion after ":help \{-" gives an error message.
  * Workaround for Python crash isn't perfect.
  * MingW needs build rule for included XPM files.  Object directory
  * When creating a Vim dictionary from Python objects an empty key
  * Internal error in :pyeval.
  * Python bindings silently truncate string values containing NUL.
  * NUL bytes truncate strings when converted from Python.
  * Recent Python changes are not tested.
  * ":help !" jumps to help for ":!".
  * SEGV in Python code.
* Sat Sep  1 2012 idonmez@suse.com
- Update to patchlevel 646, fixes the following problems
  * Segfault with specific autocommands.
  * Not all zero-width matches handled correctly for "gn".
  * Cannot select beyond 222 columns with the mouse in xterm.
  * "|" does not behave correctly when 'virtualedit' is set.
  * There is no way to make 'shiftwidth' follow 'tabstop'.
  * "gn" does not handle zero-width matches correctly.
  * Completion for a user command does not recognize backslash before
    a space.
  * Auto formatting messes up text when 'fo' contains "2".
  * Cannot operate on the text that a search pattern matches.
  * File names in :checkpath! output are garbled.
  * winrestview() does not always restore the view correctly.
  * CTRL-P completion has a problem with multi-byte characters.
  * inputdialog() doesn't use the cancel argument in the console.
  * <f-args> is not expanded properly with DBCS encoding.
  * Can only move to a tab by absolute number.
  * Crash when $HOME is not set
  * "ygt" tries to yank instead of giving an error.
  * ":vimgrep" does not obey 'wildignore'.
* Fri Jul  6 2012 lnussel@suse.de
- don't package /var/run/vi.recover anymore (bnc#765288)
* Tue Jun 26 2012 idonmez@suse.com
- Update to patchlevel 566, fixes the following problems
  * Redo after completion does not work correctly when refresh.
  * ":profdel" should not work when the +profile feature is disabled.
  * Crash when an autocommand wipes out a buffer when it is hidden.
  * The cursor is in the wrong line after using ":copen".
  * 'efm' does not handle Tabs in pointer lines.
  * When spell checking the German sharp s is not seen as a word
    character.
  * When using an InsertCharPre autocommand autoindent fails.
  * Gvim does not work when 'guioptions' includes "f".
  * Using a count before "v" and "V" does not work.
  * ":diffupdate" doesn't check for files changed elsewhere.
  * Using "z=" on a multi-byte character may cause a crash.
  * 'wildignorecase' only applies to the last part of the path.
  * No completion for :history command.
  * Cannot use CTRL-E and CTRL-Y with "r".
  * ":vimgrep" fails when 'autochdir' is set.
* Mon Jun 25 2012 cfarrell@suse.com
- license update: SUSE-Vim
  Choose a license from the list at http://www.spdx.org/licenses or from
  the list linked at http://license.opensuse.org
* Sun Jun 17 2012 opensuse@cboltz.de
- update apparmor.vim (taken from AppArmor 2.8)
  * update list of capabilities and network protocols
* Mon Jun  4 2012 seife+obs@b1-systems.com
- specfile hack to fix build with newer perl(?) on Factory
* Wed Apr 25 2012 saschpe@suse.de
- Add a vim-python subpackage that only enables Python interpreter support
  (and X11 clibboard, too), for users that don't want the extra dependencies
  of vim-enhanced (basically the perl, ruby and tcl base packages)
* Sat Mar 24 2012 idonmez@suse.com
- Try to fix bnc#753907
* Fri Mar 23 2012 gregkh@opensuse.org
- add patchlevel to package version.  This makes it easier for proper version
  to be determined, and to let other repos properly handle "which version is
  newer than the other" without having to rely on the Release number, which osc
  does not keep track of cross-repos.  Side effect, openSUSE:Tumbleweed can
  properly include vim now.
* Wed Feb 29 2012 mvyskocil@suse.cz
- remove pointless systemd dependency and run the tmpfiles binary
  only in case it exists
* Tue Feb 28 2012 idonmez@suse.com
- Update to patchlevel 456, fixes the following problems
  * Using many continuation lines can be slow.
  * Pasting in the command line is slow.
  * Undo broken when pasting close to the last line.
  * Crash when a BufWinLeave autocommand closes
    the only other window.
  * ":all!" and ":sall!" give error E477, even though the
    documentation says these are valid commands.
  * Vim does not support UTF8_STRING for the X selection.
  * Compiler warnings to size casts in Perl interface.
  * Search history lines are duplicated.
  * "it" and "at" don't work properly
    with a dash in the tag name.
  * DBCS encoding in a user command does not always work.
  * When a user complete function returns -1 an error message
    is given.
  * Completion of functions stops once a dictionary is encountered.
  * Storing a float in a session file has an additional '&'.
  * Pasting in Visual mode using the "" register does not work.
  * Multi-byte characters in b:browsefilter are not handled correctly.
  * ":helpgrep" does not trigger QuickFixCmd* autocommands.
  * ":cd" doesn't work when the path contains wildcards.
  * When placing a mark while starting up a screen redraw messes up
    the screen.
  * Mapping CTRL-K in Insert mode breaks CTRL-X CTRL-K for dictionary
    completion.
* Sun Feb 19 2012 coolo@suse.com
- vim needs more than what gtk requires - so buildrequire pkgconfig(xt)
* Fri Dec 23 2011 idonmez@suse.com
- Update to patchlevel 382, fixes the following problems
  * IME characters are inserted twice.
  * C-indenting wrong for a function header.
  * C-indenting wrong for static enum.
  * No support for bitwise AND, OR, XOR and invert.
  * A tags file with an extremely long name may cause
    an infinite loop.
* Wed Dec 21 2011 coolo@suse.com
- add autoconf as buildrequire to avoid implicit dependency
* Fri Dec  9 2011 idonmez@suse.com
- Update to patchlevel 372, fixes the following problems
  * Crash when using a large Unicode character in a file that has
    syntax highlighting.
  * :wundo and :rundo use a wrong checksum.
  * When using a command line mapping to <Up> with file name
    completion to go one directory up, 'wildchar' is inserted.
* Wed Dec  7 2011 aj@suse.de
- Move require of systemd to base package since the base postinstall
  needs it.
* Mon Dec  5 2011 idoenmez@suse.de
- Update to patchlevel 364, fixes the following problems
  * C indenting is wrong after #endif followed by a semicolon.
  * ml_get error when using ":g" with folded lines.
  * Accessing memory after it is freed when EXITFREE is defined.
  * Interrupting the load of an autoload function may cause a crash.
  * Command line completion shows dict functions.
  * Using "o" with 'cindent' set may freeze Vim.
  * ":set backspace+=eol" doesn't work when 'backspace' has a
    backwards compatible value of 2.
  * When completing methods dict functions and script-local functions
    get in the way.
  * Text formatting uses start of insert position when it should not.
  * Block of code after ":lua << EOF" may not work.
  * When running out of memory during startup trying to open a
    swapfile will loop forever.
  * "call range(1, 947948399)" causes a crash
  * When dropping text from a browser on Vim it receives HTML even
    though "html" is excluded from 'clipboard'
  * When switching language with ":lang" the window title doesn't
    change until later.
  * Problem with GUI startup related to XInitThreads.
  * No mouse support for urxvt.
  * Using getchar() in an expression mapping doesn't work well.
  * Screen doesn't update after resizing the xterm until a character
    is typed.
  * When a tags file specifies an encoding different from 'enc' it
    may hang and using a pattern doesn't work.
  * When 'imdisable' is reset from an autocommand in Insert mode it
    doesn't take effect.
  * Using "." to repeat a Visual delete counts the size in bytes, not
    characters.
  * Indent after "public:" is not increased in C++ code.
  * "vit" selects wrong text when a tag name starts with the same text
    as an outer tag name.
  * When longjmp() is invoked if the X server gives an error the state
    is not properly restored.
  * When skipping over code from ":for" to ":endfor" get an error for
    calling a dict function.
  * When command line wraps the cursor may be displayed wrong when
    there are multi-byte characters.
  * When jumping to a help tag a closed fold doesn't open.
  * A duplicated function argument gives an internal error.
  * Completion for ":compiler" shows color scheme names.
  * The default 'errorformat' does not ignore some "included from"
    lines.
* Fri Dec  2 2011 idoenmez@suse.de
- vim doesn't support -D_FORTIFY_SOURCE=2 , we must use level 1,
  see http://goo.gl/g9d8F for details.
* Tue Nov 29 2011 aj@suse.de
- Use Requires instead of Requires(post).
* Wed Nov 23 2011 aj@suse.de
- Create tmpfiles during install
- Fix tmpfiles handling
- Own directory /var/run/vi.recover
* Tue Nov 22 2011 reddwarf@opensuse.org
- Set tinfo as the terminal library for openSUSE > 12.1 since it
  has been splitted from ncurses
* Mon Nov  7 2011 idonmez@suse.com
- Move spec skeleton functionality into /etc/vimrc (bnc#720898)
* Sun Nov  6 2011 crrodriguez@opensuse.org
- vim-enhanced,gvim: Never ever link against static libpython
  this happends because %%{_libdir}/python$vesion/config is
  searched first and picks libpython.a instead of .so ...
* Tue Oct 18 2011 dmueller@suse.de
- fix detection of email addresses in .changes files
* Thu Sep 22 2011 idonmez@suse.com
- Update to official patchlevel 322
  Following bugs are fixed:
  * Redobuff doesn't always include changes of the completion leader.
  * "C" on the last line deletes that line if it's blank.
  * Calling debug.debug() in Lua may cause Vim to hang.
  * Crash when 'colorcolumn' is set and closing buffer.
  * Opening a window before forking causes problems for GTK.
  * Complete function isn't called when the leader changed.
  * Writing to 'verbosefile' has problems, e.g. for :highlight.
  * Python 3 doesn't support slice assignment.
  * When closing a window there is a chance that deleting a scrollbar
    triggers a GUI resize, which uses the window while it is not in a
    valid state.
  * Auto-loading a function while editing the command line causes
    scrolling up the display.
  * Python doesn't parse multi-byte argument correctly.
  * Built-in colors are different from rgb.txt.
  * Can't load Perl 5.14 dynamically.
  * When writing to an external command a zombie process may be left
    behind.
  * When filtering text with an external command Vim may not read all
    the output.
  * Crash when using fold markers and selecting a visual block that
    includes a folded line and goes to end of line. (Sam Lidder)
  * Configure doesn't work properly with Python3.
  * When a BufWriteCmd autocommand resets 'modified' this doesn't
    change older buffer states to be marked as 'modified' like
    ":write" does.  (Yukihiro Nakadaira)
* Fri Sep 16 2011 opensuse@cboltz.de
- apparmor.vim update
  - support "deny $filename x" rules
  - apparmor.vim generated from AppArmor 2.7 beta2
* Wed Aug 31 2011 idonmez@suse.com
- Update to official patchlevel 289
  * python3 fixes
  * Fix: Crash when using "zd" on a large number of folds.
  * Fix: Mapping <Char-123> no longer works.
  * Fix: After using "expand('%%:8')" the buffer name is changed.
  * Fix: With GTK, when gvim is full-screen and a tab is opened and
    using a specific monitor configuration the window is too big.
  * Fix: Passing the file name to open in VisVim doesn't work.
  * Fix: A BOM in an error file is seen as text.
  * Fix: ":put =list" does not add an empty line for a trailing
    empty item.
  * Fix: 'shellcmdflag' only works with one flag.
  * Fix: Vim freezes when executing an external command with zsh.
* Thu Aug 18 2011 opensuse@cboltz.de
- apparmor.vim update
  - allow pux and PUx rules
  - add some new capabilities
  - fix pattern for variable names (allow numbers, except for first char)
  - apparmor.vim generated from AppArmor trunk aka 2.7 beta
* Thu Aug  4 2011 idonmez@novell.com
- Update to official patchlevel 266
  * Fix python 3.2 detection
  * Python: Errors in Unicode characters not handled nicely.
  * "gH<Del>" deletes the current line, except when it's the last
    line.
  * "echo 'abc' > ''" returns 0 or 1, depending on 'ignorecase'.
  * The coladd field is not reset when setting the line number for a
    ":call" command.
  * When editing a file such as "File[2010-08-15].vim" an E16 error is
    given.
  * Equivalence classes only work for latin characters.
  * CursorHold triggers on an incomplete mapping.
  * G++ error message errornously recognized as error.
  * When the current directory name contains wildcard characters, such
    as "foo[with]bar", the tags file can't be found.
  * When storing a pattern in search history there is no proper check
    for the separator character.
  * In Gvim with iBus typing space in Insert mode doesn't work.
* Mon Jul 11 2011 idonmez@novell.com
- Update to official patchlevel 243
  * Fix multiple illegal memory accesses
  * Fix: Using CTRL-R CTRL-W on the command line may insert only
    part of the word.
  * Fix: Python corrects the cursor column without taking
    'virtualedit' into account.
  * Fix: Python 3 doesn't compile without +multi_byte
  * Fix: ";" gets stuck on a "t" command, it's not useful.
  * Fix: ":scriptnames" and ":breaklist" show long file names.
  * Fix: ":wundo" and ":rundo" don't unescape their argument
  * Fix: "2gj" does not always move to the correct position.
  * Fix: On a 64 bit system "syn sync fromstart" is very slow.
  * Fix: Can't pass dict to sort function.
  * Fix: Text from the clipboard is sometimes handled as linewise,
    but not consistently.
  * Fix: Inside an "if" a ":wincmd" causes problems.
* Wed Jul  6 2011 aj@suse.de
- Use /usr/lib/tmpfiles.d instead of /etc/tmpfiles.d.
* Tue May 17 2011 idoenmez@novell.com
- Update to official patchlevel 189
- Drop outdated README.SUSE
* Mon Apr 18 2011 idoenmez@novell.com
- Run spec-cleaner and fix build on SLE 10
* Mon Feb 28 2011 stian@viskjer.net
- add vim-7.3-filetype_mine.patch to enable syntax highlighting in
  .mine files. E.g. %%{name}.spec.mine files generated by "osc pull"
* Mon Jan 31 2011 opensuse@cboltz.de
- update apparmor.vim to better match the syntax of AppArmor 2.5
  - support audit and deny for capability, network, link
  - fixed rlimit syntax
  - various small fixes
* Sun Jan  9 2011 opensuse@cboltz.de
- update apparmor.vim to match (most of) the AppArmor 2.5 syntax
- package apparmor.vim as separate source file, no longer as part of
  vim-7.3-filetype_apparmor.patch
* Mon Nov 22 2010 freespacer@gmx.de
- add disable_gcc_warning_eval_c.patch
  http://lists.opensuse.org/opensuse-packaging/2010-11/msg00182.html
- add disable_lang_no.patch
- update spec file
* Sun Nov 21 2010 freespacer@gmx.de
- update to version 7.3
- clean up the additional vim patches and files
  - remove vim-7.2-lang.tar.bz2 (obsolete)
  - remove vim-7.2-extra.tar.bz2 (obsolete)
  - remove ANNOUNCEMENT.vim-7.2 (obsolete)
  - remove vim-7.0-no_nb.patch (obsolete)
  - remove remove-terrible-hack.patch (obsolete)
  - remove php.patch (obsolete)
  - remove lib64.patch (obsolete)
  - remove vim-7.2.257.patch (obsolete)
  - remove flex-array.patch (responsible for broken build)
  - disable lzma.patch (partly supported)
  - add ANNOUNCEMENT.vim-7.3
  - renew official patches from upstream
  - renew gvimrc_fontset.patch
  - renew highlight_fstab.patch
  - renew sh_is_bash.patch
  - renew filetype_ftl.patch
  - renew help_tags.patch
  - renew use_awk.patch
  - renew name_vimrc.patch
  - renew mktemp_tutor.patch
  - renew ruby_ldflags_configure.patch
  - renew grub.patch
  - renew filetype_apparmor.patch
  - renew diff_check.patch
  - renew filetype_changes.patch
- update spec file
* Wed Nov 17 2010 fisiu@opensuse.org
- Update spec.skeleton
* Fri Nov  5 2010 aj@suse.de
- Add vim.conf for tmpfs mounting via systemd.
* Tue Sep  7 2010 aj@suse.de
- BuildRequire gpm-devel
* Fri Aug 27 2010 aj@suse.de
- Fix rpmlint warnings about duplicate files.
- Remove now obsolete option --with-xusetheXWindowSystem.
- Do not record build time in binary
* Tue Apr 27 2010 werner@suse.de
- Add screen control sequences to inputrc (bnc#598903)
* Sat Mar 27 2010 vuntz@opensuse.org
- Use the icon from the tarball instead of our custom icon. It
  looks much better.
- Drop gvim.png from the source package.
* Tue Feb  9 2010 prusnak@suse.cz
- build data subpackage as noarch
* Tue Nov  3 2009 coolo@novell.com
- updated patches to apply with fuzz=0
* Tue Oct 13 2009 mmarek@suse.cz
- add patch vim-7.2.257.patch to hide gtk assertions (bnc#536535).
* Mon Sep 28 2009 werner@suse.de
- Avoid network based systems calls during ~/.vimrc (bnc#538768)
* Wed May 13 2009 prusnak@suse.cz
- added Recommends, Suggests, Freshens, EssentialFor, Supplements
  and Enhances to .spec preamble keywords (added to filetype_spec.patch)
* Thu Feb 26 2009 werner@suse.de
- Add file type detection to personal vimrc skeleton (bnc#404013)
* Wed Feb 25 2009 werner@suse.de
- Upto version 7.2.127
- Be sure that lib64 is found by configure
- Add patch for CVE-2009-0316 from debian
- lzma support
- Add some missed fstab keywords
* Mon Feb 16 2009 werner@suse.de
- Update to patchlevel 108 ... fixes bnc#470100, bnc#465255,
  bnc#439148, bnc#436755, bnc#457098, and bnc#470100
* Fri Nov 28 2008 mkoenig@suse.de
- don't set timeout in default vimrc [bnc#449932]
* Thu Oct  9 2008 mkoenig@suse.de
- update apparmor.vim [bnc#425848]
* Wed Oct  1 2008 mkoenig@suse.de
- add directories
  /usr/share/vim/site/{autoload,colors,doc,plugin}
* Fri Sep 26 2008 mkoenig@suse.de
- update upstream patches
- fix code exec via K or g] [bnc#427627]
- remove some offending mappings [bnc#406456]
- set timeout [bnc#426682]
* Thu Sep 11 2008 mkoenig@suse.de
- update to version 7.2
  * bugfixes and security enhancements
  * support for floating point numbers
- fixes security vulnerabilities [bnc#400508,bnc#406693,bnc#409516]
- fixes ada support [bnc#419506]
- remove patches:
  vim-7.1-ftplugin_changelog.patch
  vim-7.1-netrw_urlencode.patch
* Wed May 28 2008 rodrigo@suse.de
- Added vim-7.1-remove-terrible-hack.patch to remove a "terrible"
  hack that was moving the mouse 100 pixels to the top left for
  KDE 3.1 window manager (bnc#392061)
* Wed Apr 30 2008 mkoenig@suse.de
- use Utility as primary category for the desktop file [bnc#382779]
* Wed Mar 12 2008 mkoenig@suse.de
- remove ycp syntax file, moved over to yast2-devtools
- cleanup: move syntax files and filetype changes into
  unique patches
* Thu Feb 28 2008 mkoenig@suse.de
- update to patchlevel 266
  * fixes crash on completion [bnc#361844]
- update ycp syntax file [bnc#364509]
* Thu Jan 31 2008 mkoenig@suse.de
- get perl version we build with dynamically rather than
  hardcoding it.
- Change Provides: vi_clone to vi
  vi_clone last used about 6 years ago
* Thu Jan 24 2008 mkoenig@suse.de
- provide site wide runtimepath /usr/share/vim/site
  might be used by other packages to install vim files
- fix diff patch [#353375]
- add explicit version dependency on perl 5.10.0 [#353699]
* Wed Dec 12 2007 mkoenig@suse.de
- fix shell escaping [#332571]
* Thu Oct  4 2007 mkoenig@suse.de
- fix alternatives problem which resulted from linking to the
  dummy script in install process [#305790]
- update upstream patches to 135
* Fri Aug 31 2007 mkoenig@suse.de
- let vim detect a failing diff [#252901]
- add /bin/ex symlink [#306423]
* Wed Aug 22 2007 mkoenig@suse.de
- really enable syntax highlighting [#274600]
- update apparmor syntax rules [#301605]
* Wed Aug 15 2007 kssingvo@suse.de
- fixed helpline issue CVE-2007-2953, swamp#12271 [#292433]
* Thu Jul 26 2007 mkoenig@suse.de
- avoid duplicate installs of manpages [#294155]
- remove old Obsoletes for vim-fat
* Mon Jul  9 2007 mkoenig@suse.de
- fix spec syntax rules
* Thu Jul  5 2007 coolo@suse.de
- put desktop file into the package
* Tue Jun 19 2007 mkoenig@suse.de
- fix changelog ftplugin [#284970]
* Wed May 23 2007 mkoenig@suse.de
- update to version 7.1
- removed patches:
  vim-7.0-fstab_match_uuid.patch
  vim-7.0-fix_duplicate_key_assignment_de.patch
- enable syntax highlighting by default [#274600]
* Tue May 15 2007 mrueckert@suse.de
- move a few files back into the base package so we can e.g. enable
  syntax highlighting by default. it would still be black/white
  for most filetypes.
* Wed May  9 2007 mkoenig@suse.de
- fix duplicate key assignment in dialog when .swp file exists
  [#270312]
* Mon May  7 2007 mkoenig@suse.de
- update official patches to 243
  * Fixes modeline exploit, CVE-2007-2438 [#270496]
* Tue Apr 24 2007 ro@suse.de
- add prereqs for update-alternative in subpackages
* Mon Apr 23 2007 mrueckert@suse.de
- another run on the package layout. this should finally work with
  all package manager. although it will allow you to install vim-base
  without a vim_client package.
- added %%{_datadir}/vim/current/tools/missing-vim-client:
  this script will be used as the default binary if only vim-base
  is installed. this avoids dangling symlinks and gives the user
  an hint how to solve the problem.
* Thu Apr  5 2007 mkoenig@suse.de
- Keep %%ghost for gvimrc only
* Tue Apr  3 2007 mkoenig@suse.de
- change %%ghost %%config(missingok) to %%config(noreplace)
  for /etc/vimrc and /etc/gvimrc
* Tue Mar 27 2007 mrueckert@suse.de
- another minor layout change
* Tue Mar 27 2007 mrueckert@suse.de
- add subdirs in /usr/share/vim/vim70/ to the base package
* Mon Mar 26 2007 mrueckert@suse.de
- new package layout for the vim package to allow a smaller vim
  installation in the minimal system (#239838)
* Fri Feb  2 2007 dmueller@suse.de
- fix fortify workaround
* Wed Jan 24 2007 mkoenig@suse.de
- move gvim and related stuff from /usr/X11R6/bin to /usr/bin
* Tue Jan 23 2007 mkoenig@suse.de
- set default backspace functionality to a more "useful"
  value [#34519]
* Mon Jan 22 2007 mkoenig@suse.de
- added official patches 147-188:
  * no error message for ":call d.foo()" when "foo" doesn't exist
  * when resizing windows scrolling is not done in the best way
  * when resizing the Vim window scrollbinding doesn't work
  * button order in GTK file dialog is different from Gnome rules
  * crash when using lesstif 2
  * crash with cscope when temp file can't be opened
  * when 'foldnextmax' is negative Vim could hang
  * when getchar() returns a mouse button the position is unknown
  * (extra) Vim doesn't compile on Amiga OS4
  * profiling info was bogus for a recursively called function
  * cursor in closed fold after adding new line
  * not enough information for an I/O error in the swap file
  * ":@a" echoes the command
  * (extra) Win32: window and tabline menu may use wrong encoding
  * doesn't exit with "vim -o a b" and abort at ATTENTION prompt
  * can't get the position of a sign over the netbeans interface
  * ":redir @+" doesn't work
  * using CTRL-L to add to a search pattern fails for some chars
  * crash with cscope when a file descriptor is NULL
  * can't redefine a function in a dictionary
  * reading uninitialized memory and a memory leak in recovery
  * Visual block highlighting not removed for "I" and "A"
  * (extra) Win32: un-maximizing and tab pages line problem
  * (extra) VMS: problem with file names with multiple paths
  * crash when recovering a file and quitting hit-enter prompt
  * ":call f().TT()" doesn't work
  * ":mksession" doesn't restore tab page window layout properly
  * tr() didn't add a final NUL
  * ":emenu" isn't executed directly, breaks the crypt key prompt
  * key from mapping at press-enter prompt would be remapped
  * comparing utf-8 strings with 'ic' may look past NUL bytes
  * crash when recovering without a swap file name
  * (extra) VMS: build problem and problem with swap files
  * when reloading a buffer an extra empty line may appear
  * cannot reach every point in the undo tree after using "g-"
  * accessing memory already freed after ":redir => var" ":let"
  * cscope interface doesn't work with mlcscope
  * multi-byte chars in message get attributes from previous char
  * ml_get error when doing "/\_s*/e" with utf-8 'encoding'
  * can't properly source a remote script
  * (after 7.0.186) warning for wrong pointer type
* Mon Nov  6 2006 mkoenig@suse.de
- add apparmor syntax highlighting [#190084]
* Tue Oct 31 2006 mkoenig@suse.de
- enable grub mode for different root dir [#113647]
* Tue Oct 24 2006 mkoenig@suse.de
- added official patchs 077-146:
  * minor bugfixes
- fix UUID matching in fstab syntax mode [#211238]
* Wed Aug 30 2006 kssingvo@suse.de
- added official patches 067-076:
  * undo problems when using input method
  * 'ignorecase' is not used properly for Insert mode completion
  * crash when setting 'guitablabel' to "%%!expand(\%%)"
  * compiler warnings for shadowed and uninitialized variables
  * using empty search pattern may cause a crash
  * can't specify anything to do when starting the GUI fails
  * CR in Insert mode completion may select original text
  * (extra) Win32: tooltips can be in the wrong encoding
  * winsaveview() could store wrong desired cursor column
  * (after 7.0.010) could not get spell files from non-ftp server
* Wed Aug 23 2006 kssingvo@suse.de
- added official patches 051-066:
  * (after 7.0.44) compile and/or run problem with Perl interface
  * the Vim server may expose more functionality than expected
  * shortening multi-byte directory name may fail
  * using an empty menu name may cause a crash
  * ":startins" in CmdwinEnter autocmd doesn't work immediately
  * can't use "#!" in Vim scripts to make them executable
  * (extra, after 7.0.45) compilation trouble with Borland C 5.5
  * gbk and gb18030 encodings are not recognized
  * Perl interface doesn't compile with ActiveState Perl 5.8.8
  * code for switching buffers is repeated in several places
  * crash in Vim command completion when nothing to complete
  * Mac: crash when using popup menu with spell error
  * tiny chance for a memory leak
  * compiler warnings for unused variables
  * (extra) Mac: horizontal scroll wheel caused vertical scroll
  * tab pages line not redrawn after removing the popup menu
* Wed Aug  9 2006 kssingvo@suse.de
- fixed vim-enhaced package:
  * builds now more conform
  * without gui now
  * removed unneccesary binaries introduced through rebuild
- added official patches 038-050:
  * complete() can be used from expr. mapping after inserting text
  * third argument for inputdialog() doesn't work in the console
  * mouse selection with "z=" and inputlist() gets wrong entry
  * cursor([1, 2]) failed, required third item in the list
  * crash or hang when pasting a block in Insert mode
  * "%%!" at start of 'statusline' didn't work
  * Perl: changing a line in a non-current buffer may not work
  * (extra) Win32: MSVC 2005 compiler warnings for OLE version
  * the matchparen plugin didn't handle parens in single quotes
  * the exit status of the configure script can be wrong
  * the gzip plugin can't handle file names that have a paren
  * some Tcl scripts are not recognized
  * can't properly close a buffer through the NetBeans interface
- patch for ruby output on query of LDFLAGS
- fixed use_update_desktop_file: no longer destroys shell echo
* Fri Jul 21 2006 schwab@suse.de
- Add /bin/ex [#193953].
- Fix file list.
* Wed Jul 12 2006 kssingvo@suse.de
- added new official patches 036-037
- splitted vim-enhanced package with all features
* Tue Jul 11 2006 kssingvo@suse.de
- update to 7.0
  o Spell checking support for about 50 languages
  o Intelligent completion for C, HTML, Ruby, Python, PHP, etc.
  o Tab pages, each containing multiple windows
  o Undo branches: never accidentally lose text again
  o Vim script supports Lists and Dictionaries (similar to Python)
  o Vim script profiling
  o Improved Unicode support
  o Highlighting of cursor line, cursor column and matching braces
  o Translated manual pages support.
  o Internal grep; works on all platforms, searches compressed files
  o Browsing remote directories, zip and tar archives
  o Printing multi-byte text
* Wed Jun  7 2006 kssingvo@suse.de
- fix for crash in gui (bugzilla#182212)
* Sat Mar 18 2006 jw@suse.de
- fixed bugzilla # 112930
  no more segv upon svn commit.
* Fri Feb 24 2006 hvogel@suse.de
- Dont package any gvimrc (except in %%doc), just use apps defaults.
  Otherwise we will play default settings ping pong
  forever [#152830]
* Thu Feb  2 2006 rml@suse.de
- Make X selection again work in gvim (Bug #144109)
* Wed Feb  1 2006 hvogel@suse.de
- generate help-tags tag during build
* Mon Jan 30 2006 mmj@suse.de
- Add FreeMarker templates syntax highlighting [#144295]
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Sat Jan 14 2006 schwab@suse.de
- Don't strip binaries.
* Thu Jan 12 2006 mmj@suse.de
- Add patches 6.4.001 through 6.4.006
- Compile with -fstack-protector-all
* Wed Jan 11 2006 mmj@suse.de
- Use a better gvimrc [#141096]
* Mon Dec 19 2005 ro@suse.de
- remove unpackaged symlinks
* Mon Dec  5 2005 mmj@suse.de
- Make sure SELinux is disabled
* Sun Oct 16 2005 mmj@suse.de
- Update to vim-6.4 which is a pure bugfix release, no new features
  was added (they all go to vim7)
- Disable selinux patch for now
* Thu Jul 21 2005 mmj@suse.de
- Add pathes 6.3.76 through 6.3.84
* Tue Jul 19 2005 lnussel@suse.de
- Don't strip binaries during install to get a useful debuginfo
  package
* Thu Jul  7 2005 mmj@suse.de
- Fix missing decl on vitmp.c
* Thu Jun  2 2005 mmj@suse.de
- Add patches 6.3.59 through 6.3.75
* Tue Jan 25 2005 mmj@suse.de
- Add patches 6.3.55 through 6.3.58
* Fri Jan 21 2005 mmj@suse.de
- /bin/sh is bash on SUSE LINUX, so highlight as such [#49872]
* Thu Jan 20 2005 mmj@suse.de
- Fix insecure tmp file handling [#50025]
* Fri Jan  7 2005 mmj@suse.de
- Add patches 6.3.47 through 6.3.54
* Mon Dec 13 2004 mmj@suse.de
- Add patches 6.3.044 to 6.0.46 from upstream [#49092]
- Explain that modelines enabling can be potentially evil
* Tue Dec  7 2004 mmj@suse.de
- Add patches 6.3.032 to 6.0.43 from upstream
* Wed Nov 24 2004 ro@suse.de
- use macro for python version
* Tue Nov 16 2004 hvogel@suse.de
- add gvim icon
* Wed Nov 10 2004 hvogel@suse.de
- fix the 'current' link to point to the right directory
* Fri Oct 22 2004 mmj@suse.de
- Make the rpm versioning match what vim does itself
- Add patch 31 from upstream
* Tue Oct 19 2004 mmj@suse.de
- locale no should correctly be nb so make it so
* Wed Oct 13 2004 mmj@suse.de
- Include bugfixes up to and including patch 30
* Sat Sep  4 2004 mmj@suse.de
- Include the latest bugfix patches 16-23
* Tue Aug 24 2004 mmj@suse.de
- Also recognize "%%t" and "%%j" [#43985]
* Tue Aug 24 2004 mmj@suse.de
- Make printf format string "%%z" be recognized and hilighted [#43985]
* Thu Aug 12 2004 mmj@suse.de
- Update bugfixing patches including 12-15
* Sat Jul  3 2004 mmj@suse.de
- Update bugfixing patches 001 through 011
* Tue Jun  8 2004 mmj@suse.de
- Update to vim-6.3
* Fri May  7 2004 mmj@suse.de
- Apply official patches up to including 531
* Mon May  3 2004 mmj@suse.de
- Apply official patches up to including 521
* Tue Apr 13 2004 mmj@suse.de
- Use extra again
- Apply official patches up to including 6.2.466
* Wed Mar 17 2004 mmj@suse.de
- Apply patch from Juergen Weigert to make 'ga' work correctly with
  UTF-8
* Wed Feb 25 2004 kukuk@suse.de
- Fix version detection
- Fix SELinux patch (return code of one function)
* Mon Feb 23 2004 mmj@suse.de
- Adjust patches to include up to 6.2.263
- Only patch SELinux on versions after 9.0
* Mon Feb  9 2004 mmj@suse.de
- Add patches we want from 175 to 245
* Wed Jan 28 2004 kukuk@suse.de
- Add SELinux patch
* Sat Jan 10 2004 adrian@suse.de
- build as user
* Fri Jan  9 2004 mmj@suse.de
- compile with "-fno-strict-aliasing"
* Fri Jan  9 2004 mmj@suse.de
- add patches we want from 99 to 174
- regenerate patches
- add patch for fstab syntax highlighting [#33814]
* Wed Sep 17 2003 fehr@suse.de
- add patches patches 91 to 98 from vim homepage
* Fri Sep 12 2003 fehr@suse.de
- add patches patches 76 to 89 from vim homepage
  (vim-6.2-altscreen.dif is therefore obsolete)
* Wed Sep 10 2003 fehr@suse.de
- add patches patches 72 to 75 from vim homepage
* Wed Sep  3 2003 mls@suse.de
- replace vim132 with bash version and delete post scriptlet
* Tue Aug 26 2003 fehr@suse.de
- update ycp.vim and changes.vim
* Mon Aug 25 2003 mls@suse.de
- fix aternate screen problem (again)
* Fri Aug 22 2003 fehr@suse.de
- add patches patches 70 to 71 from vim homepage
* Sat Aug 16 2003 adrian@suse.de
- install desktop file for gvim from kappfinder
* Fri Aug 15 2003 mfabian@suse.de
- adapt vim-6.2-gvimrc-fontset.dif to the settings needed for
  a gtk2 build. For most languages it is OK to set "guifontset"
  to "monospace". But for Korean "monospace" expands to
  "Baekmuk Gulim" with our current default settings and
  this results in a very wide, broken spacing between the letters.
  As this effect happens with many CJK fonts and the Latin glyphs
  in many CJK fonts are ugly, set a good Latin font as the default
  for CJK. This latin font is automatically combined with the
  appropriate CJK font according to the rules in
  /etc/fonts/fonts.conf. I choose "Luxi\ Mono" because this
  is guaranteed to be installed always.
* Tue Aug 12 2003 mmj@suse.de
- change the GUI to be built with gtk2
* Tue Aug 12 2003 fehr@suse.de
- add liux relevant patches 15 - 69
* Wed Jul 16 2003 fehr@suse.de
- create link eview to gvim
* Tue Jun 24 2003 mmj@suse.de
- Update to 6.2 including:
  · Support for GTK2
  · Support for editing Arabic text
  · ":try" command and exception handling
  · Support for the neXtaw GUI toolkit
  · Cscope support for Win32
  · Support for PostScript printing in various 8-bit encodings
- Add non-Win32 patches from 1 - 14
* Tue May 27 2003 fehr@suse.de
- remove unpackaged files from buildroot
* Fri May 23 2003 fehr@suse.de
- add vitmp binary and man page to package
* Wed Apr  2 2003 ro@suse.de
- updated python path
* Mon Mar  3 2003 fehr@suse.de
- add patches 318 to 364 from ftp.vim.org
* Mon Feb  3 2003 adrian@suse.de
- remove -mminimal-toc from RPM_OPT_FLAGS for ppc
- add patches 240 to 317 from ftp.vim.org
* Wed Jan  1 2003 adrian@suse.de
- add a comment in the default vimrc to get the completion
  behaviour as in bash (often asked).
* Mon Dec 16 2002 fehr@suse.de
- add "modelines=0" to default vimrc because of security
  considerations
* Fri Dec 13 2002 ro@suse.de
- updated neededforbuild
* Thu Nov  7 2002 mfabian@suse.de
- add patches 151 to 248 from ftp.vim.org (Bug #12157 is fixed
  by patch 194, made by Michael Schroeder <mls@suse.de>)
* Wed Oct 30 2002 agruen@suse.de
- Add dependency on acl-devel package so POSIX ACL support
  is enabled.
* Tue Aug 20 2002 mmj@suse.de
- Correct PreReq
* Wed Aug  7 2002 werner@suse.de
- Fix vimrc for xterm and add some more keys (bug #15002)
* Tue Aug  6 2002 fehr@suse.de
- add commands to vimrc to recognize last cursor position in a file
- add patches 033 to 150 from ftp.vim.org
* Fri Aug  2 2002 adrian@suse.de
- do not handle vim and kvim together anymore
* Tue Jun 25 2002 olh@suse.de
- build with -mminimal-toc on ppc64
* Wed Jun  5 2002 ro@suse.de
- specify python config dir (not found on lib64 platforms)
* Thu Apr 25 2002 fehr@suse.de
- make vim again read /etc/vimrc or /etc/gvimrc
- add patches 001 to 032 from ftp.vim.org
* Wed Apr 10 2002 adrian@suse.de
- update to version 6.1
- remove obsolete patches
- clean xim.diff from patches which gone to the source
- add gui_kde support for kvim
* Tue Apr  2 2002 fehr@suse.de
- remove disable_system.patch that prevent print menue entry in
  gvim from working (#15355)
* Thu Mar 14 2002 fehr@suse.de
- add patch 6.0.164 to patches
  (After patch 6.0.135 the menu entries for pasting don't work in
  Insert and Visual mode. Add <script> to allow script-local mappings.)
* Sun Mar 10 2002 mfabian@suse.de
- fix typo in entry for Korean fontset which prevented the
  gulim fonts from being used
* Mon Mar  4 2002 mfabian@suse.de
- change default fontset entry for Korean to prevent core dump
  in Korean locale.
  Our previous default selected was
  guifontset=-*-clean-bold-r-*--16-*-*-*-*-*-*-*,
  - *-gulim-medium-r-*--16-*-*-*-*-*-*-*
  but since XFree86 4.2.0 the 'clean-bold' pattern doesn't
  match any iso8859-1 font anymore. Now it matches only:
  - schumacher-clean-bold-r-normal--16-160-75-75-c-80-iso646.1991-irv
  Because of this 'gvim' can't get any usable font, and
  gui.char_width becomes 0. This leads to a division by 0
  in function gui_resize_shell().
* Sun Mar  3 2002 mfabian@suse.de
- add xim.diff from "Yasuhiro Matsumoto" <mattn_jp@hotmail.com>
  This patch makes OnTheSpot input style perfectly usable for
  Japanese, without the patch OnTheSpot input style is severely
  broken.
* Thu Feb 28 2002 kukuk@suse.de
- Add hack to avoid csh dependency
- Make beta-testers happy
* Sat Feb 23 2002 mfabian@suse.de
- choose a different fontset for locales starting with 'zh'
  (zh_TW, zh_CN, ...) because the new default fontset is not
  suitable for these locales
* Thu Feb 21 2002 fehr@suse.de
- change default fontset to use "iso8859-*" as encoding part
* Thu Feb  7 2002 fehr@suse.de
- remove RPM_BUILD_ROOT path in man pages (#13054)
* Tue Feb  5 2002 schwab@suse.de
- Don't add /usr/local/include and /usr/local/lib to search paths.
* Tue Jan 29 2002 fehr@suse.de
- add patches 094 to 154 for vim 6.0 from ftp.vim.org
- syntax files changes.vim and ycp.vim are now separate source files
* Fri Dec  7 2001 mfabian@suse.de
- add vim-6.0-euro-menu.dif which removes @euro when looking
  for a menu translation for gvim. Without this,
  "LC_ALL=de_DE@euro gvim" will show English menus
* Thu Nov 29 2001 fehr@suse.de
- add patches 074 to 093 for vim 6.0 from ftp.vim.org
- add option nocompatible again to /etc/vimrc (defaults are simply
  more usable this way)
* Thu Nov 29 2001 mfabian@suse.de
- added NLS support again (vim-6.0-lang.tar.bz2 was not unpacked)
- applied fontset patch to /etc/gvimrc again
* Thu Nov 15 2001 fehr@suse.de
- changed default vimrc according to suggestions of vim developer
* Mon Nov  5 2001 fehr@suse.de
- added links vimdiff and gvimdiff
- added egvim link to /usr/X11R6/bin
- prevent use of tempname command in vimtutor
- add patches 001 to 072 for vim 6.0 from ftp.vim.org
* Fri Oct 19 2001 mmj@suse.de
- Updated to 6.0
- Merges the gvim.spec and vim.spec into one specfile.
- Added a ppd.vim syntax file from bjacke@suse.de
* Tue Sep 11 2001 mfabian@suse.de
- update to Vim 6.0av
  (Bram Moolenaar: "Just bug fixes this time, and
  quite a lot of them ...") For details about the bugs fixed,
  please read /usr/share/doc/packages/vim/ANNOUNCEMENT.vim-6.0av
* Wed Aug 29 2001 fehr@suse.de
- add new ycp sytax file from Michal Svec
- add extensions .scr and .yh as ycp extensions
* Tue Aug 28 2001 mfabian@suse.de
- update to Vim 6.0at
- removed sf_warnings.dif (included upstream)
- add --with-features=big
- remove --enable-broken-locale
- remove --enable-fontset
- add BuildRoot
- add %%{?suse_update_config:%%{suse_update_config -f }}
* Thu Aug 16 2001 fehr@suse.de
- update to new version 5.8 with patches 5.8.001 to 008 applied
- add syntax file for .changes files from Michal Svec
* Wed May 16 2001 fehr@suse.de
- fix pointer-cast-warnings on 64bit archs
* Mon May  7 2001 mfabian@suse.de
- bzip2 source
* Mon Apr  9 2001 fehr@suse.de
- change back to old version 5.7 since 6.0aa is not stable enough
  (according to maintainer Bram Moolenaar)
- add patches 001-028 from vim.org to vim 5.7
* Fri Apr  6 2001 mfabian@suse.de
- add tarball for nls support: vim-6.0aa-lang.tar.bz2
- use suse_update_config
- remove --enable-broken-locale --enable-fontset
- add BuildRoot
- bzip2 tarballs
* Thu Apr  5 2001 fehr@suse.de
- change to new version 6.0aa
* Mon Mar 26 2001 kendy@suse.cz
- Added syntax file for YCP (YaST2 Communication Protocol)
* Mon Jan  8 2001 fehr@suse.de
- change occurences of $VIM in vimrc example to $VIMRUNTIME
* Tue Nov 21 2000 werner@suse.de
- Remove swapping of kp-separator/kp-decimal because it's
  done in xkbd map for german keyboards
- Add some newer xterm escape sequences (oldFunctionsKeys)
* Fri Oct  6 2000 kukuk@suse.de
- change group tag
* Mon Jul 24 2000 fehr@suse.de
- New version 5.7
* Wed Mar  1 2000 werner@suse.de
- Move vim and the link vi to /bin/ and make symlinks backward
- Include symlinks edit and ex into vim file list
- Include symlinks gex, gvi, gview, rgvim, rgview into gvim file list
- Make symlink current to version directory in /usr/share/vim
* Tue Feb 29 2000 fehr@suse.de
- removed use of mouse daemon (libgpm)
* Thu Feb 24 2000 fehr@suse.de
- removed dependency on nawk
* Tue Jan 25 2000 werner@suse.de
- New version 5.6
- Do not use strange settings in /etc/vimrc (e.g. edcompatible)
- Make terminal settings in /etc/vimrc depending on terminal type
- Create a ~/.vimrc for /etc/skel/
- /usr/man -> /usr/share/man
* Wed Jan 12 2000 fehr@suse.de
- fix wrong path in /etc/vimrc
* Fri Nov  5 1999 kukuk@suse.de
- Use gawk instead of nawk
* Sat Oct 16 1999 ml@suse.de
- removed typo from vim-5.4.dif
* Thu Sep 16 1999 ro@suse.de
- added "Provides vi_clone"
* Mon Sep 13 1999 bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Fri Aug 27 1999 fehr@suse.de
- changed to new version 5.4
* Sun Dec 13 1998 bs@suse.de
- fixed problem with empty man page
* Fri Dec  4 1998 ro@suse.de
- cleanup and bugfix for suse.vimrc
* Mon Nov 23 1998 ro@suse.de
- update to 5.3
- merged werners vimrc and florian's hack for linux-m
- install other vimrc_example as %%doc
* Fri Oct 17 1997 ro@suse.de
- ready for autobuild using 4.6tar and 4.6dif
* Wed May 28 1997 werner@suse.de
- New /etc/vimrc added
* Sun Apr 13 1997 florian@suse.de
- update to new version 4.6
- mv ctags into a new package ctags.tgz
* Thu Jan  2 1997 florian@suse.de
- Update auf Version 4.5.
- Jetzt ist auch ctags und xxd dabei.
* Thu Jan  2 1997 florian@suse.de
  new version 4.2
  completely integrated help-system
